##  获取已查看联系方式的企业

### API路径

    services/v2/rest/viewStatistic

### 请求header参数

| 字段 | 类型 | 说明 | 示例 |
|---|---|---|---|
| x-ak-key | string | 当前分销的AK值 | &nbsp; |
| x-ak-ts | string | 毫秒级时间戳 |   
| x-ak-pin | string | 经过加密算法生成的加密参数([api加密认证方式](7966817.html)) |   
 

### 请求方法

    get

### 请求参数

| 字段 | 类型 | 说明 | 必填 |
|---|---|---|---|
| uid | string | 第三方系统用户唯一id | Y |
| startTime | int | 统计的开始时间(毫秒时间戳) | Y |
| endTime | int | 统计的结束时间(毫秒时间戳)  当前查询跨度(endTime - startTime)  只支持查询一个月内的数据 | Y |
| page | int | 分页页码 | Y |
| limit | int | 每页数量(最大为200) | Y |

### 调用样例

`https://${host}/services/v2/rest/viewStatistic`

### 返回结果

JSON示例

    {
          "success" : true, #请求成功/失败标志
          "message" : "", #错误消息
          "data" : {
            "total" : 400, #时间区间内查看记录总数总数
            "item" : [ #查看记录明细
    			{
    				"createDate": ISODate("2016-04-15T00:00:00.000+0000"), //创建日期 
    				"pid": "c449f5a5b3a09fb9cd55d2e141a278bd", // 查看的企业pid
    				"companyName": "" // 查看的企业名称
    			}
            ]
          },
          "error_code" : 0 #错误码标志，非0时，该字段为错误码
      }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 | &nbsp; |
|---|---|---|---|
| 400 | 检查请求参数是否合法 | &nbsp; | &nbsp; |
| 412 | 检查AK是否有效 | Access Key 已被禁用 |
| 5027 | 检查分销账户是否有效或禁用 | &nbsp; | &nbsp; |
| 5029 | 检查uid账户是否存在 | 账户不存在 | &nbsp; |
| 5032 | 检测当前用户是否禁用 | &nbsp; | &nbsp; |
| 5033 | 检查当前用户是否过期 | &nbsp; | &nbsp; |