##  获取账号信息

### 该接口对应的角色

| 角色 | 角色代码 |
|---|---|
| 主账户 | mainaccount |
| 子账户 | subaccount |
| 大客户 | bigcustomer |

### API路径

    services/v2/rest/user/status

### 请求header参数

| 字段 | 类型 | 说明 | 示例 |
|---|---|---|---|
| x-ak-key | string | 当前分销的AK值 | |
| x-ak-ts | string | 毫秒级时间戳 |
| x-ak-pin | string | 经过加密算法生成的加密参数([api加密认证方式](http://apidoc.weiwenjia.com/docs/skb-open-dev/index-12026657.md)) |

### 请求参数

| 字段 | 类型 | 说明 | 示例 |
|---|---|---|---|
| uid | string | 必须,此uid为第三方账户系统唯一用户编号 | 5926cee5a600422292fd2676 |

### 请求方法

    GET

### 调用样例

`https://${host}/services/v2/rest/user/status?uid=5926cee5a600422292fd2676`

### 返回结果

JSON示例

    {
      "error_code": 0,
      "success":true
      "message": "",
      "data": {
          uid:'5926cee5a600422292fd2676',#第三方系统用户唯一编号
          username:'xxxxxx',#账户名称
          agent_no:"",#渠道编码
          agent_name:"",#渠道名称
          expiry_time:4102329600000, #账户过期时间戳
          view_contact_num: 200 #每天查看联系方式的次数限制
          status: 1, #1表示账户“正常”，2表示“未激活”，3表示“禁用”，4表示“已过期”
		  "today_clicked_contact_num": 30 #（今日已经查看消耗次数）
      }
    }

### 返回错误代码以及处理方式

| 错误码 | 处理方式参考 | 说明 |
|---|---|---|
| 400 | 检查是否所需参数是否存在，是否类型正确 | x-ak-key请求头不存在 |
| 410 | 检查AK是否正确 | &nbsp; |
| 412 | 检查AK是否有效 | Access Key 已被禁用 |
| 5013 | 检查uid参数是否存在或是否合法 | &nbsp; |
| 5027 | 检查分销账户是否有效或禁用 | 分销账户已失效 |
| 5029 | 检查uid账户是否存在 | 账户不存在 |
| 5032 | 检测当前用户是否禁用 | &nbsp; |
| 5033 | 检查当前用户是否过期 | &nbsp; |
| 6102 | 检查uid是否注册过 | &nbsp; |
| 6114 | 检查uid账户是否存在主账户 | 主账户不存在 |