##  登录账户
### 该接口对应的角色

| 角色 | 角色代码 |
|---|---|
| 主账户 | mainaccount |
| 子账户 | subaccount |
| 大客户 | bigcustomer |

### API路径

    services/v2/rest/user/login

### 请求header参数

| 字段 | 类型 | 说明 | 示例 |
|---|---|---|---|
| x-ak-key | string | 当前分销的AK值 | |
| x-ak-ts | string | 毫秒级时间戳 |
| x-ak-pin | string | 经过加密算法生成的加密参数([api加密认证方式](http://apidoc.weiwenjia.com/docs/skb-open-dev/index-12026657.md)) |

### 请求方法

    POST
    Content-Type: application/json

### 请求Body参数

| 字段 | 类型 | 说明 | 示例 |
|---|---|---|---|
| uid | string | 第三方用户唯一编码，必须 | &nbsp; |

`登录回调（loginCallback）接口调用返回数据格式示例详见回调接口数据格式`

### 调用样例

`https://${host}/services/v2/rest/user/login`

    POST
     {
          "uid":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9"
     }

### 返回结果

JSON示例

    {
        "error_code": 0,
        "success":true
        "message": "",
        "data": { 
            "token":'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJfaWQiOiI1OTU2MzJmNTgzM2JiMDQwNWRmZmJlNmMiLCJy
                  b2xlIjoicm9vdCIsInNlcXVlbmNlIjoxODIsImlhdCI6MTUwMjQxNjAzMiwiZXhwIjoxNTAyNDQ0ODMyfQ.
                  vIYxX_gssXJNqPWY-MD9T3qhcYpJzE3SUL20ChLHt3s'
           "expiry_date": "1505909258494" 
        }
      }
      返回的 token 最终会以GET请求对应的管理平台的页面地址，如
      注意：目前token的有效期通过返回的expiry_date来传达，失效时间8小时

#### 登录管理平台样例

    https://biz.lixiaoskb.com/login?access_token=Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJfaWQiOiI1OTU2MzJmNTgzM2JiMDQwNWRmZmJlNmMiLCJyb2xlI
    joicm9vdCIsInNlcXVlbmNlIjoxODIsImlhdCI6MTUwMjQxNjAzMiwiZXhwIjoxNTAyNDQ0ODMyfQ.vIYxX_gssXJNqPWY-MD9T3qhcYpJzE3SUL20ChLHt3s

### 返回错误代码以及处理方式

| 错误码 | 处理方式参考 | 说明 |
|---|---|---|
| 400 | 检查是否所在参数是否存在，是否类型正确 | &nbsp; |
| 410 | 检查AK是否正确 | &nbsp; |
| 5027 | 检查主账户是否禁用或过期或禁用 | &nbsp; |
| 5032 | 检测当前用户是否禁用 | &nbsp; |
| 5033 | 检查当前用户是否过期 | &nbsp; |
| 6108 | 检查账户是否属于当前分销账户 | &nbsp; |
| 6102 | 检查uid是否注册过 | &nbsp; |
| 6102 | 检查要登陆的账户角色是否是主账户或子账户 | 用户角色不正确 |