##  套餐升级续费

### 注意事项

    - 大客户：支持延长有效期，开通外呼
    - 非大客户下的主账户：支持延长有效期，开通外呼，增加子账户
    - 升级续期的不考虑当前用户和上级用户的用户状态（正常，禁用，未激活，过期等等）

### API路径

    services/v2/rest/user/meal

### 请求header参数

| 字段 | 类型 | 说明 | 示例 |
|---|---|---|---|
| x-ak-key | string | 当前分销的AK值 | &nbsp; |
| x-ak-ts | string | 毫秒级时间戳 |   
| x-ak-pin | string | 经过加密算法生成的加密参数|

### 请求参数

| 字段 | 类型 | 说明 | 必填 |
|---|---|---|---|
| uid | string | 必须，此uid为第三方账户系统唯一用户编号 | Y |
| expiry\_time | long | 过期时间戳(毫秒级) | N |
| type | string | 将要升级为新套餐的名称 | N |

1. `只有uid为大客户和主账户的角色才可以升级续期`

### 请求方法

    PATCH

### 调用样例

`https://${host}/services/v2/rest/user/meal`

请求body

    PATCH
     大客户下主账户升级续期请求结构
     {
          "uid":"5926cee5a600422292fd2676", 必须
          "extraTaskCount": 2000 //必须在任务已开的情况下续任务额度
          "type":"1+10工号",
     }
    
    非大客户下主账户升级续期请求结构
    {
    "uid":"5926cee5a600422292fd2676",必须
    "extraSubCount": 4,
    "extraTaskCount": 2000 //必须在任务已开的情况下续任务额度
    "type":"1+10工号",
    "extraViewCount": 30
    "expiry_time":1512536084000
    }
      大客户升级续期请求结构
     {
          "uid":"5926cee5a600422292fd2676",必须
          "expiry_time":1512536084000,
     }

### 返回结果

JSON示例

    大客户主和非大客户主 结果
    {
      "error_code": 0,#表示续费成功
      "success":true
      "message": "",
      "data": {
        "agent_expiry_date": "1505699326580", // 分销过期时间
        "user_expiry_date": "1518969599000" // 用户续费后的过期时间
        "subaccount": 7 // 用户升级后子账户总数
        "enableCall": true // 用户升级后的外呼状态
        "enableTask": true // 用户升级后的任务中心状态
        "taskQuota": true // 用户升级后的任务中心额度
        "type": "1+10工号" // 用户升级后的套餐名称
      }
    }
    大客户结果
    {
    "error_code": 0,#表示续费成功
    "success":true,
    "message": "",
    "data": {
    "agent_expiry_date": "1505699326580", // 分销过期时间
    "user_expiry_date": "1518969599000" // 用户续费后的过期时间
    "enableCall": true // 用户升级后的外呼状态
    }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 400 | 检查请求参数是否合法 | &nbsp; |
| 410 | 检查AK是否正确 | &nbsp; |
| 5027 | 检查账户状态是否有效或禁用 | &nbsp; |
| 5029 | 检查账户信息是否正确 | &nbsp; |
| 6102 | 检查uid是否注册过 | &nbsp; |
| 6110 | 检查用户角色是否是主账号或大客户 | 账户角色不正确 |
| 6115 | 检测套餐名称是否正确 | &nbsp; |
| 6116 | 检测套餐增值服务是否合法（赠送子账户，月数是否超限等） | &nbsp; |
| 6117 | 子账户已经超过上限，无法增加 | &nbsp; |
| 6124 | 任务中心超过额度无法增加，无法增加 | &nbsp; |
| 6125 | 任务中心未开启 | &nbsp; |