##  查看套餐信息

### API路径

    services/v2/rest/user/meal

### 请求header参数

| 字段 | 类型 | 说明 | 示例 |
|---|---|---|---|
| x-ak-key | string | 当前分销的AK值 | &nbsp; |
| x-ak-ts | string | 毫秒级时间戳 |   
| x-ak-pin | string | 经过加密算法生成的加密参数|

### 请求方法

    GET

### 请求参数

| 字段 | 类型 | 说明 | 示例 |
|---|---|---|---|
| uid | string | 选填,此uid为第三方账户系统唯一用户编号，没有此参数直接返回分销的套餐信息 | 5926cee5a600422292fd2676 |

### 调用样例

`https://${host}/services/v2/rest/user/meal?uid=5926cee5a600422292fd2676`

### 返回结果

| 字段 | 类型 | 说明 | 是否必须 |
|---|---|---|---|
| error\_code | int | 错误码 | Y |
| success | boolean | 是否成功 | Y |
| message | string | 错误提示消息 | Y |
| data.meals[].renewal | int | 套餐续费周期数量 | Y |
| data.meals[].unit | int | 套餐续费周期单位名称，值有3表示“年”，2表示“月”，1表示“日” | Y |
| data.meals[].subaccounts | int | 基本套餐子账户数量 | Y |
| data.meals[].view\_contact\_num | int | 基本套餐允许每日查看联系方式数量 | Y |
| data.meals[].gonghai\_volume | int | 公海数量 | Y |
| data.meals[].mainaccounts | int | 主账户数量 | Y |
| data.meals[].type | string | 套餐名称 | Y |
| data.meals[].clue\_volume | int | 线索池数量 | Y |
| data.meals[].total\_amount | int | 可以开通的套餐数量 | Y |
| data.meals[].extraSubCount | int | 套餐增值服务，允许增加子账户数量 | Y |
| data.meals[].extraExpiry | int | 套餐增值服务，允许增加时长数量 | Y |
| data.enableCall | boolean | 套餐增值服务，是否开通外呼 | Y |
| data.extraExpiry | int | 套餐增值服务，赠送月数 | Y |
| data.extraSubCount | int | 套餐增值服务，增加子账户数量 | Y |
| data.enableTask | boolean | 套餐增值服务，是否开通任务中心 | N |
| data.taskQuota | int | 套餐增值服务，任务中心额度 | N |
| data.extraTaskCount | int | 套餐增值服务，增加任务中心额度 | N |
| data.plugin.[] | array | 集成系统id | N |

JSON示例

    {
      "error_code": 0,
      "success":true
      "message": "",
      "data": [
      	{
          "renewal" : NumberInt(11), #更新周期
          "unit" : NumberInt(2), #更新单位，1表示日，2表示月，3表示年
          "subaccounts" : NumberInt(4), #子账户数量
          "view_contact_num" : NumberInt(200), #每日可查看数量
          "gonghai_volume" : NumberInt(2000), #公海容量
          "mainaccounts" : NumberInt(1), #主账户数量
          "type" : "A", #套餐类型
          "extraExpiry": 3, #额外赠送月数
          "extraSubCount": 3, #额外赠送子账户数
          "clue_volume" : NumberInt(5000) #线索池容量
    	},
      	{
          "renewal" : NumberInt(1), #更新周期
          "unit" : NumberInt(3), #更新单位，1表示日，2表示月，3表示年
          "subaccounts" : NumberInt(10), #子账户数量
          "view_contact_num" : NumberInt(200), #每日可查看数量
          "gonghai_volume" : NumberInt(2000), #公海容量
          "mainaccounts" : NumberInt(1), #主账户数量
          "type" : "1+10工号", #套餐类型
          "extraExpiry": 3, #可以额外赠送月数
          "extraSubCount": 3, #可以额外赠送子账户数
          "clue_volume" : NumberInt(5000) #线索池容量
    	}
      ],
      "enableCall": true, #是否开通外呼
      "extraExpiry": 3, #额外赠送月数
      "extraSubCount": 3, #额外赠送子账户数
      "enableTask": true, #是否开通任务中心
      "taskQuota": 10000, #任务中心额度
      "extraTaskCount": 2000, #额外增加任务中心额度
      "plugin": ["",""] #集成系统id列表
    }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 400 | 检查是否所需参数是否存在，是否类型正确 | x-ak-key请求头不存在 |
| 412 | 检查AK是否有效 | Access Key 已被禁用 |
| 5027 | 检查分销账户是否有效或禁用 | 分销账户已失效 |
| 5032 | 检测当前用户是否禁用 | &nbsp; |
| 5033 | 检查当前用户是否过期 | &nbsp; |
| 5031 | 子账户不能查看套餐，确认该用户的角色 | &nbsp; |