##  线索同步回调接口数据格式 

#### 请求地址

    http://{第三方应用地址}/notifyCallback

#### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| uid | string | 第三方账户系统用户唯一ID | &nbsp; |
| type | int | 添加线索池的类型 | 1为添加线索 |
| happen\_time | long | 事件发生时间 | 毫秒数量 |
| clues.[].clueId | string | 搜客宝系统线索唯一ID | &nbsp; |
| clues.[].pid | string | 搜客宝系统企业唯一ID | &nbsp; |
| clues.[].entname | string | 搜客宝系统企业名称 | &nbsp; |
| clues.[].telephoneMobile | string | 企业移动电话 | &nbsp; |
| clues.[].telephoneFixed | string | 企业固定电话 | &nbsp; |
| clues.[].qq | string | 企业QQ号码 | &nbsp; |
| clues.[].email | string | 企业邮箱 | &nbsp; |
| clues.[].contact | string | 企业联系人 | &nbsp; |
| clues.[].address | string | 企业联系地址 | &nbsp; |
| clues.[].note | string | 线索跟进 | &nbsp; |
| clues.[].contacts | array | 所有联系方式列表（包括上一层的联系方式） | &nbsp; |
| clues.[].contacts.[].telephoneStatus | String | 0 →未验证, 1 → 实号，2 → 沉默号，空号，停机，库无 3→非法号码 | &nbsp; |
| clues.[].contacts.[].label | string | 号码类型，手机（telephoneMobile)、固话（telephoneFixed）、自定义的（custom）、其他无电话号码的(other) | &nbsp; |
| clues.[].contacts.[].value | string | 号码 | &nbsp; |
| clues.[].contacts.[].data | array | 不同来源的除了手机以外的联系方式 | &nbsp; |
| clues.[].contacts.[].data.[].qq | string | qq号码 | &nbsp; |
| clues.[].contacts.[].data.[].address | string | 地址 | &nbsp; |
| clues.[].contacts.[].data.[].contact | string | 联系人 | &nbsp; |
| clues.[].contacts.[].data.[].email | string | 邮箱 | &nbsp; |
| clues.[].contacts.[].data.[].sourceName | string | 来源站 | &nbsp; |
| clues.[].contacts.[].data.[].accessible | boolean | 是否实号 | &nbsp; |

#### 请求方法

    POST

#### 请求HTTP头信息

    Content-Type: application/json

## 事件回调返回结果字段描述

#### 事件回调返回数据

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| error\_code | int | 必须，错误码编码 | &nbsp; | &nbsp; |
| success | bool | 必须，是否成功或者失败 | &nbsp; | &nbsp; |
| data.{clueId} | String | 必须，内容为该线索对应CRM的url页面。如果需要跳转，请务必提供 | &nbsp; | &nbsp; |

## 搜客宝事件回调样例
API路径
          http://xx/xx/xx/xx/notifyCallback 此api路径为第三方回调地址路径
     
请求方法
    POST
    Content-Type: application/json
      
调用样例
      
         https://xx/xx/xx/xx/notifyCallback 此api路径为第三方回调地址路径
         
请求Body参数

    {
      "uid":"xxxxxxxxxx", //第三方系统用户唯一编码
      "type": 1, //1表示当前数据为添加的线索
      "clues" : [{
        "clueId":"6e352b652b ******* 337510b1ea5", //线索mongodb _id
        "pid":"6e352b652 ********* 7510b1ea5", //营销报告id
        "entname":"一丁集团（上海）信息技术有限公司", //公司名称
        "telephoneMobile": "", //手机
        "telephoneFixed": "", //固定电话
        "qq": "", //QQ号
        "email":"", //电子邮箱
        "contact":"" , //联系人
        "address":"" , //联系地址
        "note":"", //最早的一条跟进
        "contacts" : [{
          "telephoneStatus" : "1",
          "label" : "telephoneMobile",
          "value" : "15 **** 70",
          "data" : [
            {
              "qq" : "",
              "address" : " ***** 17号",
              "contact" : "杨**",
              "email" : "",
              "sourceName" : "华丰商务",
            }
          ]
        },
        {
          "contact": "自定义联系人",
          "_id": "5b69589afd0f0a1264113379",
          "email": "",
          "tel": "18000000000",
          "label": "custom",	// 注意： 自定义的联系方式(label=custom时)的数据结构与其他联系方式不一样(自定义联系方式一个号码只对应一个qq/address等信息)
          "address": "",
          "position": "",
          "order": 20000,
          "istop": 1,
          "value": "18000000000"
          }]
        
      }],
      "happen_time":1499400000000
    }
      
返回结果
      
JSON示例 
      
      {
        "error_code": 0, // 请参照分销自定义的消息code
        "success":true,
		"error_data" : {
			// 同步失败的线索
			"{clueId}" : '123', // 失败的错误id
		}
        "data": {
        	"{clueId}" : "{crm url}",
        	"{clueId}" : "{crm url}",
        	"{clueId}" : "{crm url}"	
        }
      }