##  账号冻结或解冻

### API路径

  POST services/v3/rest/user/modifyAccountStatus

### 请求header参数

| 字段 | 类型 | 说明 | 示例 |
|---|---|---|---|
| x-ak-key | string | 当前分销的AK值 | |
| x-ak-ts | string | 毫秒级时间戳 |
| x-ak-pin | string | 经过加密算法生成的加密参数([api加密认证方式](http://apidoc.weiwenjia.com/docs/skb-open-dev/index-12026657.md)) |

更新用户信息接口，目前支持更新的维度如下：

### 请求参数

| 字段 | 类型 | 说明 | 示例 |
|---|---|---|---|
| uid | string | 必须，此uid为第三方账户系统唯一用户编号 | &nbsp; |
| disable | integer | 必须，1=冻结，2=解冻 | &nbsp; |


### 请求方法

    POST

### 调用样例

`https://${host}/services/v3/rest/user/modifyAccountStatus`

POST

    {
          "uid":"5926cee5a600422292fd2676",
          "disable":1,
    }

### 返回结果

JSON示例

    {
        "error_code": 0,
        "success":true
        "message": "",
        "data": {
         }
      }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 400 | 检查是否所在参数是否存在，是否类型正确 | &nbsp; |
| 406 | 检查用户角色是否正确 |   
 |
| 410 | 检查AK是否正确 | &nbsp; |
| 5029 | 检查user\_id是否正确（对接用户中心的用户，检查手机号码是否正确） |   
 |
| 5101 | 需进行企业打通后才可关联用户（针对对接用户中心的用户） | &nbsp; |
| 5102 | oid与用户企业打通OID不符（针对对接用户中心的用户） | &nbsp; |
| 5103 | 手机号码与用户中心不一致（针对对接用户中心的用户） | &nbsp; |
| 5107 | 同步信息给用户中心失败，用户不存在(针对对接用户中心的用户) |   
 |
| 5108 | 同步信息给用户中心失败，账户不存在(针对对接用户中心的用户) |   
 |
| 5109 | 同步信息给用户中心失败，电话号码已存在(针对对接用户中心的用户) |   
 |
| 5110 | 同步信息给用户中心失败，邮箱已注册(针对对接用户中心的用户) |   
 |
| 6109 | 检查用户是否已被其他第三方API对接过 | &nbsp; |
| 6101 | 检查uid是否已经绑在其他搜客宝用户上 | &nbsp; |
| 6103 | 检查手机短信验证码是否填写正确 | &nbsp; |
| 6104 | 检查是否在未发送验证码前，就调用的了验证码接口 | &nbsp; |
| 6105 | 检查验证码是否超过过期时间 | &nbsp; |
| 6106 | 检查是否在5分钟之内发送过验证码`验证码发送频率超过限制，请降低发送频率` | &nbsp; |
| 6111 | `检查发送验证码的电话号码是否合法` | &nbsp; |
| 6112 | 验证码发送错误，`请联系搜客宝管理员` | &nbsp; |
| 6118 | `检查60秒内是否已经发送过` | &nbsp; |