## 企业详情名片信息 

### API路径

    /services/v4/rest/enterprise/getEntTagInfo

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称，统一信用代码，工商注册码 |   |

###   调用样例

    https://${host}/services/v4/rest/enterprise/getEntTagInfo?id=6940996292b3f39bbfb0e511a3f97d2d

JSON示例

    {
        "error_code": 0,
        "success": true,
        "message": "",
        "data": {
            "entname": "北京中科技达科技有限公司", //企业名称
            "historyNames": [], //查看曾用名
            "legalperson": "贾盛洁", //法定代表人/负责人
            "esdate": 1419292800000, //成立日期
            "regCapDisplay": "500万元人民币", //注册资本
            "officialWebsite": "zhongkejida.com", //网站
            "contactaddress": "北京市朝阳区民族园路1号丰宝恒大厦3067室", //通讯地址
            "entstatus": "在业", //营业状态标签
            "busTag": [ //主营业务标签
                "计算机系统",
                "云计算",
                "技术服务",
                "汽车租赁",
                "数据处理",
                "设备租赁"
            ]
        }
    }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能同时为空 |
| 2002 | 修改参数 | 未查询到相关企业 |
错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)