## 商标 


有些客户期望提供少量字段的定制接口，这个接口作用就是这样。

### API路径

    /services/v4/rest/enterprise/getNetTradeMarkInfo?id=8a644d9358322e92547986463a689246&page=1

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称，统一信用代码，工商注册码 |   |
| page | int | 否 | 分页页码。每页固定返回50条 |   |

### 返回参数

| 字段 | 类型 | 说明  |
| --- | --- | --- |
| ENTNAME&nbsp; | String | 企业名称 |
| ENTTYPE | String | 企业类型 |
| ENTTYPEDESC | String | 企业类型 |
| TradeMarks | Array | 商标列表 |
| MARKNAME&nbsp; | string | 注册名称 |
| MARKTYPENUM&nbsp; | string | 类别 |
| MARKTYPEDESC&nbsp; | string | 类别 |

调用样例

https://${host}/services/v4/rest/enterprise/getNetTradeMarkInfo?id=8a644d9358322e92547986463a689246&page=1

JSON示例

    {
        "error_code": 0,
        "success": true,
        "message": "",
        "page": "1",
        "perPage": 50,
        "totalCount": 4,
        "totalPage": 1,
        "data": {
            "PID": "3893a695e5cf5fbeed974041ebf30e40",
            "ENTNAME": "程力专用汽车股份有限公司",
            "ENTTYPEDESC": "其他股份有限公司（非上市）",
            "ENTTYPE": "1229",
            "TradeMarks": [
                {
                    "MARKNAME": "程力",
                    "MARKTYPENUM": "16",
                    "MARKTYPEDESC": "办公用品"
                },
                {
                    "MARKNAME": "CLW",
                    "MARKTYPENUM": "11",
                    "MARKTYPEDESC": "灯具空调"
                },
                {
                    "MARKNAME": "CLW",
                    "MARKTYPENUM": "12",
                    "MARKTYPEDESC": "运工具输"
                },
                {
                    "MARKNAME": "CLW",
                    "MARKTYPENUM": "25",
                    "MARKTYPEDESC": "服装鞋帽"
                }
            ]
        }
    }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能同时为空 |
| 2002 | 修改参数 | 未查询到相关企业 |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)