## 企业信息 

### API路径

    /services/v4/rest/enterprise/getNetEntBaseInfo?id=6fa0184e182d50357e341c8cc3d132da

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称，统一信用代码，工商注册码 |   |

### 返回参数
| 字段 | 类型 | 描述 |
| --- | --- | --- |
| ENTNAME| String | 企业名称 |
| ENTTYPE | String | 企业类型 |
| ENTTYPEDESC | String | 企业类型 |

调用样例

https://${host}/services/v4/rest/enterprise/getNetEntBaseInfo?id=6fa0184e182d50357e341c8cc3d132da

JSON示例

    {
        "error_code": 0,
        "success": true,
        "message": "",
        "data": {
            "PID": "6fa0184e182d50357e341c8cc3d132da",
            "ENTNAME": "大连半导体厂",
            "ENTTYPEDESC": "全民所有制",
            "ENTTYPE": "3100"
        }
    }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能同时为空 |
| 2002 | 修改参数 | 未查询到相关企业 |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)