## 企业标签信息

### API路径

    /services/v4/rest/enterprise/getCompanyTags

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称，统一信用代码，工商注册码 |   |

###   调用样例

    https://${host}/services/v4/rest/enterprise/getCompanyTags?id=6940996292b3f39bbfb0e511a3f97d2d

JSON示例

    {
        "error_code": 0,
        "success": true,
        "message": "",
        "data": {
		   "selfInfo": {
            	"pid": "fba73b21ac6e8c29b613a32f226276dc",
            	"entName": "",
            	"uncid": "", // 统一社会信用码
            	"esDate": 1328659200000  // 企业成立时间的毫秒时间戳
        	}, // 当前企业本身信息
           "tagDetails"[ //企业标签
                {
					"name": "标签对应的中文名",
					"code": "标签对应的code值"
				}
            ]
        }
    }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能同时为空 |
| 2002 | 修改参数 | 未查询到相关企业 |
错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)