## 企业详情企业百科信息 

### API路径

    /services/v4/rest/enterprise/getEntWikiInfo

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称 |   |
| page | int | 否 | 分页参数-页码，默认为1 |
| pageSize | int | 否 | 分页参数-每页数量，默认为100，最大值为100 |

###   调用样例

    https://${host}/services/v4/rest/enterprise/getEntWikiInfo?id=7be62ec095fdd7463548514a15d268ba

JSON示例

```json
{
    "error_code": 0,
    "success": true,
    "message": "",
    "data": {
        "page": 1,		// 当前查询的页码
        "pageSize": 100,		// 当前查询的每页数量
        "total": 1,		// 总数量
        "totalPage": 1,		// 总页码数
        "selfInfo": {			// 查询企业的信息
            "pid": "387cf029d31ef28836486d0d38821d5e",		// 企业pid
            "entName": "华为技术有限公司",		// 企业名称
            "uncid": "914403001922038216",		// 企业的统一社会信用码
            "esDate": 558633600000		// 企业注册时间
        },
        "items": [
            {
                "description": "华为技术有限公司于1987年在中国深圳正式注册成立...",		// 百科内容
                "sourceName": "360百科",		// 百科类型
                "URL": "http://baike.so.com/doc/3755114-3944874.html"		// 百科信息来源地址
            }
        ]
    }
}
```

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能同时为空 |
| 2002 | 修改参数 | 未查询到相关企业 |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)