## 企业详情工商变更信息 


### API路径
    /services/v4/rest/enterprise/getGSInfo

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| keywords | string | 是 | 企业PID或者公司名称或者统一信用代码 |   |
| page | int | 否（默认为1） | 分页参数-页数 | |
| pageSize | int | 否（默认为100），最大值为100 | 分页参数-每页数量 | |

###   调用样例

    https://${host}/services/v4/rest/enterprise/getGSInfo?keywords=公司名称&page=1&pageSize=10

JSON示例

    {
        "error_code": 0,
        "success":true
        "message": "",
        "data": { // 工商表更
			  "selfInfo": {
			  	"pid":"xxxx",
				"entName":"xxxxx",
				"uncid":"xxxx", //社会统一信用码
				"esDate": 1234500000 // 企业成立时间毫秒时间戳
			  }, // keywords对应的企业自身简单信息
              "total": 2,
              "items": [
                  {
                      "alterDate": 1608780612914, // 变更日期
                      "alterBefore": "A公司", // 变更前
                      "alterAfter": "B公司", // 变更后
                      "alterItem": "名称", // 变更事项
                  }
              ]
          }
      }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | keywords不能为空 |
| 2002 | 修改参数 | 未查询到相关企业 |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)