## 企业照面信息 

`注意：调用以下接口，参数值为中文时需要转义`

### API路径

    /services/v2/rest/enterprise/getDetailsByKeyword

### 请求方法

GET

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|-||||
| keyword | string | 企业全称，历史名称，企业唯一编码（pid）或统一信用代码、注册号 | &nbsp; |


### 调用样例

    https://${host}/services/v2/rest/enterprise/getDetailsByKeyword?keyword=180a9d11d5e9b8afe2b8638686faa8cc

### 返回结果

JSON示例：带\*号的字段是肯定有值的字段

    {
        "error_code": 0,
        "success": true,
        "message": "",
        "data": {
            "ENTNAME": "上海帝恒摄影服务有限公司", #企业名称
            "HISTORYNAME": "鄂尔多斯市蒙丽商贸有限责任公司", #历史名称
            "LEGALPERSON": "侯文凤", #法人 经营者 负责人 投资人 执行事务合伙人
            "LEGALPERSONDESC": "", ,#法人名称类型
            "ESDATE": "2018-05-14T00:00:00.000Z", #成立日期
            "REGNO": "152728000018099", #注册号
            "PROVINCE": 15, #省份代码
            "CITY": "1501", # 城市代码
            "DISTRICT": "150101", # 地区代码
            "UNCID": "91310112671181076P", #统一信用代码
            "ENTTYPE": "民办非企业单位", #企业(机构)类型
            "REGCAP": 14, #注册资金
            "REGCAPCUR": "万元人民币", #注册资金单位
            "OPFROM": "2011-02-25T00:00:00.000Z", #经营(驻在)期限自
            "OPTO": "9999-09-09T00:00:00.000+0000", #经营(驻在)期限至 注意：该字段可能返回中文字符，例如：长期有效
            "REGORG": "灵石县民政局", #登记机关
            "APPRDATE": "2014-09-03T00:00:00.000Z", #核准日期
            "REVOKEDATE": "", #注销日期/吊销日期
            "ENTSTATUS": "存续", #企业状态
            "OPLOC": "灵石县新建街东盛富美佳18号楼", #经营场所
            "OPSCOPE": "亲子教育", #经营(业务)范围
            "INDUSTRYPHY": "F", #行业
            "PID": "b3ca6016ffe0da7b811609a345a8cdf7"
        }
    }

####   错误返回值
错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)