## 子公司与对外投资（深度） 

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keyword | string | 企业全称，历史名称，企业唯一编码（pid）或统一信用代码、注册号 |
| offset | int | 翻页页码，默认值：1，每页固定返回20条数据 |

### API路径

    /services/v2/rest/enterprise/investmentDetail

### 请求方法

GET

### 调用样例

    https://${host}/services/v2/rest/enterprise/investmentDetail?keyword=宁夏圣丰物业服务有限公司

### 返回结果

JSON示例

	{  
		 "error\_code": 0,  
		 "success": true,  
		 "message": "",  
		 "data": {
		 	"selfInfo": {
		 		"pid":"xxx", // 当前企业的pid
				"entName":"xxxxxxx" // 当前企业的企业名称
		 	},
		 	"total": 1,  
		 	"num": 1,  
		 	"items": [  
			 	{  
			 		"PID": "查询出的对外投资的企业pid",
				 	"ENTNAME": "宁夏圣丰物业服务有限公司红寺堡区分公司",#企业名称  
				 	"REGNO": "",#注册号  
				 	"UNCID": "91640303564105561H",#统一社会信用代码  
				 	"LEGALPERSON": "刘广武",#代表人名称  
				 	"LEGALPERSONDESC": "负责人",#代表人类型  
				 	"ESDATE": "2010-10-14T00:00:00.000Z",#成立日期  
				 	"ENTSTATUS": "存续（在营、开业、在册）",#登记状态  
				 	"PROVINCE": 64,#企业所在地（省份/直辖市）  
				 	"INSTO": 0,#持股比例  
				 	"REGCAP": 0,#注册资本（金额）  
				 	"REGCAPCUR": ""#注册资本（单位）  
			 	}  
		 	]  
	 }

#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)