## 股东及出资信息（深度） 


`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keyword | string | 企业全称，历史名称，企业唯一编码（pid）或统一信用代码、注册号 |   |

### API路径

    /services/v2/rest/enterprise/investInfo

### 请求方法

GET

### 调用样例

    https://${host}/services/v2/rest/enterprise/investInfo?keyword=180a9d11d5e9b8afe2b8638686faa8cc

### 返回结果

JSON示例

	{  
		 "error\_code": 0,  
		 "success": true,  
		 "message": "",  
		 "data": {  
		 "total": 1,  
		 "num": 1,  
		 "items": [  
				 {  
					 "ENTNAME": "杭州煲岛餐饮管理有限公司",#企业名称  
					 "UNCID": "330198000111772",#统一信用代码  
					 "REGNO": "330198000111772",#注册号  
					 "INV": "洪春梅",#股东  
					 "INVTYPE": "自然人股东",# 股东类型  
					 "LISUBCONAM": 0,#认缴额 默认单位：万元  
					 "LIACCONAM": 0,#实缴额 默认单位：万元  
					 "SUBCONFORMNAME": "",#认缴方式  
					 "ACCONFORMNAME": "",#实缴方式  
					 "SUBCONDATE": null,#认缴日期  
					 "ACCONDATE": null,#实缴日期  
					 "INSTO": ""##持股比例(%)  
				 }  
			 ]  
		 }  
	}


#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)