## (1). 基本信息（照面信息） 
包括信息：
 > 营业执照信息 
 > 主要人员

### 接口:
GET /services/v2/rest/enterprise/baseInfo

### 参数
|参数名称| 类型 | 必填| 说明|
|---|---|---|---|
|keyword| String | 是 |支持传递 PID/企业名称/统一社会信用代码/工商注册码/企业英文名称 |
> 注：企业英文名称中需要完全匹配，其中可能包含特殊字符，需要先对参数进行URL编码再传递，防止特殊字符错漏

### 返回值


## (1). 基本信息
  > 包括工商基础信息的以下内容
  > 营业执照信息  
  > 主要人员

### 营业执照信息

| 字段 | 类型 | 说明 | 
| --- | --- | --- |
| PID | String | 企业pid,内部唯一ID |
| UNCID | String | 统一信用代码 | 
| ENTNAME | String | 公司名称 |
| ENTTYPE | Number | 公司类型 | 
| REGNO | String | 注册号|
| PROVINCE | Number | 通讯地址代码：省 ;参考行政代码进行翻译 |
| CITY | Number | 通讯地址代码：市 ; 参考行政代码进行翻译 |
| DISTRICT | Number | 通讯地址代码：区 ; 参考行政代码进行翻译 |
| HISTORYNAME | String | 历史名称 |
| LEGALPERSON | String | 公司法人 | 
| LEGALPERSONDESC | String | 法人说明 | 
| REGORG | String | 公司登记机关 | 
| OPSCOPE | text | 经营范围 | 
| APPRDATE | String | 核准（发证）日期 | 
| OPFROM | String | 营业期限起始时间 |
| REGCAP | Number | 注册资本 |
| REGCAPCUR | String | 注册资本单位 |
| ESDATE | String | 公司成立时间 | 
| OPTO | String | 营业期限结束时间 | 
| ENTSTATUS | string | 公司经营状态代码 |
| REVOKEDATE| String |注销日期/吊销日期 |
| OPLOC| String |经营场所地址|
| DOM| String |注册地址|
| INDUSTRYPHY | String | 一级行业分类代码 | 行业分类 |
| INDUSTRYPHYDESC | String | 一级行业分类名称| 行业分类 |
| SECINDUSTRY | List<String> | 二级行业分类代码列表 | 行业分类 |
| SECINDUSTRYDESC | List<String> | 二级行业分类名称列表| 行业分类 |
| INDUSTRY_L3 | String | 三级行业分类代码 | 行业分类 |
| INDUSTRY_L3_ESC | String | 三业分类名称| 行业分类 |
| INDUSTRY_L4 | String | 四行业分类代码 | 行业分类 |
| INDUSTRY_L4_ESC | String | 四行业分类名称| 行业分类 |
| PERSONS | List(Object<String, String>) | 主要人员, 参考下表 | 
| organizationalCode | string | 组织结构代码 | 
| scale | string | 企业规模 | 
| annualTurnover | string | 年营业额 | 
| ENTSTATUS_CODE | string |企业状态状态代码|
| ENTTYPE_CODE | string | 公司类型代码|
| ENTNAME_ENG  | string | 企业英文名称|
| GEO_ADDRESS | string | 企业通讯地址|
|REG_CAP|string|实缴资本|


### PERSONS/主要人员

| 字段 | 类型 | 说明 | 
| --- | --- | --- |
| NAME | String(255) | 姓名| 
| POSITION | String(255) | 职位名称 | 


#### 返回值样例：
```JSON
{
    "error_code": 0,
    "success": true,
    "message": "",
    "data": {
        "PID": "weewrfd234555",
        "ENTNAME": "sssss",
        "ENTNAME_ENG": "sssssdfv df",
        "HISTORYNAME": "sssss",
        "HISTORYNAME_LIST": [
            "sdwwedfff"
        ],
        "LEGALPERSON": "xxx",
        "LEGALPERSONDESC": "法定代表人",
        "ESDATE": "1987-09-14T16:00:00.000Z",
        "REGNO": "1223344444444",
        "PROVINCE": 12,
        "CITY": 1234,
        "DISTRICT": 123456,
        "UNCID": "914403001922038216",
        "ENTTYPE": "dfjgjhkkskk",
        "ENTTYPE_CODE": "1234",
        "REGCAP": 123.182,
        "REGCAPCUR": "万人民币",
        "OPFROM": "1987-09-14T16:00:00.000Z",
        "OPTO": "2040-04-08T16:00:00.000Z",
        "DOM": "xxxxx",
        "REGORG": "xxxx",
        "REG_CITY": 12233,
        "REG_DISTRICT": 122222,
        "REG_PROVINCE": 555,
        "APPRDATE": "2024-06-26T16:00:00.000Z",
        "REVOKEDATE": "",
        "ENTSTATUS": "存续（在营、开业、在册）",
        "ENTSTATUS_CODE": 1,
        "INDUSTRYPHY": "C",
        "INDUSTRYPHYDESC": "制造业",
        "SECINDUSTRY": [
            "39"
        ],
        "SECINDUSTRYDESC": [
            "计算机、通信和其他电子设备制造业"
        ],
        "INDUSTRY_L3": "101",
        "INDUSTRY_L3_DESC": "土砂石开采",
        "INDUSTRY_L4": "1011",
        "INDUSTRY_L4_DESC": "石灰石、石膏开采",
        "OPLOC": "深圳市龙岗区坂田华为总部办公楼",
        "OPSCOPE": "xxxxxxxx",
        "PERSONS": [
            {
                "NAME": "xxx",
                "POSITION": "xxxx"
            }
        ],
        "BE_INVEST": [
            {
                "INV": "xxxxx",
                "INVTYPE": ""
            }
        ],
        "CLEARINGINFO": [],
        "organizationalCode": "12344444",
        "GEO_ADDRESS": "sssssss",
        "REG_CAP": "xxxx万人民币",
        "scale": "10000人以上",
        "annualTurnover": ""
    }
}
```

### 返回错误代码以及处理方式