## 企业主要人员列表


### 请求BODY参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| relationId | string | 关联id(查看主要人员接口)-**该参数即将废弃，不再支持** |   |
| keyword | string | 企业全称企业唯一编码（pid）或统一信用代码 |   |
| name | string | 指定查询人员名称 |   |
| page | number | 页数（默认第1页），每页固定返回10条数据 |   |

###### 注意：relationId 和 keyword 只需要存在一个，relationId优先


### API路径

    /services/v4/rest/enterprise/relatedEnterprise

### 请求方法

POST

### 调用样例

    https://${host}/services/v4/rest/enterprise/relatedEnterprise

### 返回结果

JSON示例

	{  
		 "error_code": 0,  
		 "success": true,  
		 "message": "",  
		 "data": {  
			 "total" : 100,	// 总数
			 "list": [  
					 {  
						 	"pid": "1af8e6d3b71275586775e5346e739",	// 企业唯一id
							"entName": "天津（有限合伙）",
							"shareholdingRatio": "0.442300",	// 占股比例
							"position": "法定代表人,股东",	// 职位信息
							"positionStatus": "在职", // 职位状态
							"regCapital": "2261万元人民币",	// 注册资本
							"address": "北京-北京市",	// 地址
							"tagList": [ "营业" ],	// 标签(null表示空值)
					 }  
				 ]  
		 }  
	}


#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)