## 股东及出资信息


`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keywords | string | 企业全称，历史名称，企业唯一编码（pid）或统一信用代码、注册号 |   |
| page | int | 分页参数-页数，每页固定20条数据 | |

### API路径

    /services/v4/rest/enterprise/investInfo

### 请求方法

GET

### 调用样例

    https://${host}/services/v4/rest/enterprise/investInfo?keyword=180a9d11d5e9b8afe2b8638686faa8cc&page=2

### 返回结果

JSON示例

	{  
		"error_code": 0,
		"success": true,
		"message": "",
		"selfInfo": {
			"pid":"xxx",
			"entName":"企业名称", // 自己所属企业名称
			"uncid":"xxxx", // 统一社会信用码
			"esDate": 12345600000 // 企业成立时间的毫秒时间戳
		},
		"page": "2", # 当前页
		"perPage": 20, # 每页数量
		"totalCount": 152, # 总数量
		"totalPage": 8, # 总页数
		"data": [  
				 {  
					 "PID":"股东投资企业的pid",  //自然人股东是没有pid信息的
					 "ENTNAME": "杭州煲岛餐饮管理有限公司",#股东投资企业名称
					 "UNCID": "330198000111772",#投资企业的统一信用代码  
					 "REGNO": "330198000111772",#投资企业的注册号  
					 "INV": "洪春梅",#股东  
					 "INVTYPE": "自然人股东",# 股东类型  
					 "LISUBCONAM": 0,#认缴额 默认单位：万元  
					 "LIACCONAM": 0,#实缴额 默认单位：万元  
					 "SUBCONFORMNAME": "",#认缴方式  
					 "ACCONFORMNAME": "",#实缴方式  
					 "SUBCONDATE": null,#认缴日期  
					 "ACCONDATE": null,#实缴日期  
					 "INSTO": ""##持股比例(%)  
				 }  
			]  
	}


#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)