## 法人姓名查企业


### 请求body参数

| 参数 | 类型 | 说明 | 是否必须 | 示例 |
|---|---|---|---|---|
| name | string | 查询的法人名称 |  是  |  |
| pid | string | 指定法人名称对应的企业pid，非必填 |  否  |  |

pid参数解释：
1. 当需要查询 **所有**法人名称叫做 某个值的企业时， 不需要传pid
2. 当想查询 同某个企业的法人 是同一个法人的企业时，可以指定pid


### API路径

    /services/v4/rest/enterprise/legalPersonRelatedEnterprise

### 请求方法

POST

### 调用样例

    https://${host}/services/v4/rest/enterprise/legalPersonRelatedEnterprise

### 返回结果

JSON示例

```js
{
    "error_code": 0,
    "success": true,
    "message": "",
    "data": [
        {
            "humanId": "humanId_1",  // 法人人员id（同一个humanId下的多个企业表示这些企业的法人是同一个人）
            "ents": [
                {
                    "pid": "pid1",  // 企业pid
                    "entName": "xxx"  // 企业名称
                },
                {
                    "pid": "pid2",
                    "entName": "xxx"
                },
                {
                    "pid": "pid3",
                    "entName": "xxx"
                }
            ]
        },
        {
            "humanId": null,  // humanId 为null的，表示没有该法人的人员id，无法确认 该企业的这个法人和其他企业的同名的法人是否是同一个人
            "ents": [
                {
                    "pid": "pid4",
                    "entName": "xxx"
                }
            ]
        },
        {
            "humanId": null,
            "ents": [
                {
                    "pid": "pid5",
                    "entName": "xxx"
                }
            ]
        }
    ]
}
```


#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)