## 企业详情融资历史 

### API路径

    /services/v4/rest/enterprise/getEntFinanceInfo

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |    |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称或者统一信用代码，工商注册码 |   |
| page | int | 否 | 分页参数-页码，默认为1 |
| pageSize | int | 否 | 分页参数-每页数量，默认为100，最大值为100 |

### 调用样例

    https://${host}/services/v4/rest/enterprise/getEntFinanceInfo?id=7be62ec095fdd7463548514a15d268ba&keywords=信息

JSON示例

    {
        "error_code": 0,
        "success":true
        "message": "",
        "data": {
    			"total": 1,
    			"items": [{
    				"invse_year": "2017", // 时间-年
    				"invse_month": "10", //时间 -月
    				"invse_round_name": "新三板", //轮次
    			  
    				"invse_detail_money": "0", //金额
    				"invse_currency_name": "人民币", //货币名称
    				"invse_similar_money_name": "未透露",
    				"investers": [] //投资方
    			}]
    		}
      }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 添加参数 | &nbsp;缺少必填参数id或keywords |
| 2002 | 修改参数 | 未查询到相关的企业 |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)