## 企业详情经营概览 

### API路径

    /services/v4/rest/enterprise/getManageViewInfo

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称 |   |

### 调用样例

    https://${host}/services/v4/rest/enterprise/getManageViewInfo?id=7be62ec095fdd7463548514a15d268ba

JSON示例

    {
        "error_code": 0,
        "success":true
        "message": "",
        "data": {
					"companyInfo": "xxxxx", // 企业介绍
					'foreignTrade": "是", // 是否有外贸业务
					"industrialChain":["1233-122","2222"], // 所属产业
					"industryPhy":"xxxxxxxxx", // 所属行业
    				"OEMService": "否", // 是否提供OEM服务
    				"monthYield" :"", //月产量
    				"scale": "100-499人", // 员工人数
    				 "annualImpVolume":"" //年进口额
    				"bussinessModel": "经销批发", // 经营模式
    				"annualTurnover": "人民币 5000 万元/年 - 1 亿元/年", // 年营业额
    				"qualityControl": "内部", // 质量控制
    				"brand": "颐信科技", // 经营品牌
    				"businessClient": "公安,交警,武警,税务,工商,检察院,法院等", // 主要客户群
    				"businessMarket": "大陆,港澳台地区,北美,南美,西欧,东欧,东亚,东南亚,中东,非洲,大洋洲,全球", // 主要市场
    				"annualExpVolume": "人民币 700 万元 - 1000 万元", // 年出口额
    				"mgtCert": "ISO 9000", //管理体系认证
    				"factoryArea": "694(单位平方米)",// 厂房面积
    				"bussinessProduct": "钨条无线监控，节能产品，电子站，电子" //主营产品
    				"sourceNames": [{ //来源名称
    								"name": "八方资源网",
    								"url": "http://www.b2b168.com/c168-1423853.html"   
    							}]
    			}
      }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能全为空 |
| 2002 | 修改参数 | 未找到相关的企业 |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)