## 企业年报

###   请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keyword | string | 企业全称，历史名称，企业唯一编码（pid）或统一信用代码、注册号 | &nbsp; |

### API路径

    /services/v2/rest/enterprise/annualList

### 请求方法

GET

### 调用样例

    https://${host}/services/v2/rest/enterprise/annualList?keyword=46e98a8ff2b8c3378b3422fbef81dd52

### 返回结果

JSON示例

```javascript
{
  "error_code": 0,
  "success": true,
  "message": "",
  "data": [{
    "reportYear": "", //年份  
    "publishDate": 123567888, //公示日期  
    "entName": "",//企业名称  
    "province": "",//省份  
    "provinceDesc": "",//省份缩写  
    "hasStockTransfer": "",//本年度是否有股权转让  
    "hasStockChange": "",//本年度是否有股权变更  
    "hasInvestment": "",//本年度是否有对外投资  
    "hasWebsite": "",//是否有网店网站  
    "hasProvideAssurance": "",//是否有对外提供担保保证  
    "hasChangeInfo": "",//年报是否有更改记录  
    "hasBranchInfo": "",//是否有分支机构信息  
    "hasPartner": "", //是否有股东  
    "hasSocialInfo": "",//是否有社保信息  
    "hasAssetInfo": "",//是否有资产信息  
    "baseInfo": { //年报基本信息 
	  "pid": "", // 公司pid
      "regNo": "",//注册号  
      "entName": "",//公司名  
      "postalCode": "",//邮编  
      "tel": "",//联系电话  
      "addr": "",//地址  
      "email": "",//邮箱  
      "uniscId": "",//统一信用代码  
      "dependentEntName": "",//隶属公司名  
      "dependentUniscId": "",//隶属公司统一信用代码  
      "busSt": "",//企业经营状态代码  
      "busSt_CN": "",//企业经营状态  
      "empNum": "",//企业员工人数  
      "womemPNum": "",//企业女性员工数  
      "holdingSmsg": "",//企业控股情况代码  
      "holdingSmsg\_CN": "",//企业控股情况  
      "mainBusiAct": "",//主营业务  
    },
    "assetInfo": {
      "assGro": "",//总资产  
      "liaGro": "", //负债总额  
      "vendInc": "",//营业总收入  
      "netInc": "",//净利润  
      "totEqu": "",//所有者权益合计  
      "maiBusInc": "", //主营收入   
      "proGro": "", //利润总额   
      "ratGro": "",//纳税总额  
    },
    "sponsor": [ //股东及出资信息  
      {
        "subConDate": "1598544000000", //认缴日期  
        "acConDate": "1598544000000", //实缴日期  
        "subConFormName": "货币", //认缴出资方式  
        "subConForm": "1", //认缴出资方式代码  
        "acConFormName": "货币", //实缴出资方式  
        "acConForm": "1", //实缴出资方式代码  
        "invName": "吕文建", //股东名  
        "liSubConAm": "33", //认缴额  
        "liAcConAm": "", //实缴额  
        "insto": "" //持股比例  
      }
    ],
    "website": [ //网站信息  
      {
        "webType": "", //类型  
        "webSitName": "", //网站名称  
        "domain": "", //网址  
      }
    ],
    "alterStock": [ // 股权变更信息  
      {
        "altDate": "",//变更日期  
        "inv": "",//股东名  
        "transAmAft": "",//变更后比例  
        "transAmPr": "",//变更前比例  
      }
    ],
    "guarantee": [ //对外提供担保信息  
      {
        "more": "",// 债权人  
        "mortgagor": "",// 债务人  
        "priClaSecKind": "",// 主债权种类  
        "priClaSecAm": "",// 主债权数额  
        "pefPerForm": "",// 履行债务的期限  
        "pefPerTo": "",// 履行债务的期限  
        "guaranperiod": "",// 保证的期间  
        "gaType": ""// 保证的方式  
      }
    ],
    "annSocsecinfo": { // 社保信息  
      "so110": "", //社保人数  
      "so310": "", //职工基本医疗保险  
      "so410": "", //工伤保险  
      "so210": "", //失业保险  
      "so510": "", //生育保险  
      "totalWagesSo110": "", //单位参加城镇职工基本养老保险缴费基数   
      "totalWagesSo210": "", //单位参加失业保险缴费基数  
      "totalWagesSo310": "", //单位参加职工基本医疗保险缴费基数  
      "totalWagesSo510": "", //单位参加生育保险缴费基数  
      "totalPaymentSo110": "", //参加城镇职工基本养老保险本期实际缴费基数  
      "totalPaymentSo210": "", //参加失业保险本期实际缴费基数  
      "totalPaymentSo310": "", //参加职工基本医疗保险本期实际缴费基数  
      "totalPaymentSo410": "", //参加工伤保险本期实际缴费基数  
      "totalPaymentSo510": "", //参加生育保险本期实际缴费基数  
      "unPaidSocialInsSo110": "", //单位参加城镇职工基本养老保险累计欠缴金额  
      "unPaidSocialInsSo210": "", //单位参加失业保险累计欠缴金额  
      "unPaidSocialInsSo310": "", //单位参加职工基本医疗保险累计欠缴金额  
      "unPaidSocialInsSo410": "", //单位参加工伤保险累计欠缴金额  
      "unPaidSocialInsSo510": "", //单位参加生育保险累计欠缴金额  
    },
    "investment": [ //对外投资  
      {
        "entName": "",//企业名  
        "uniscId": ""//统一信用代码  
      }
    ],
    "alter": [{ //年报变更  
      "alitem": "", //变更项  
      "altBe": "", //变更前  
      "altAf": "", //变更后  
      "altDate": "" //变更日期  
    }]
  }
  ]
}

```


#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)

搜索结果不支持翻页操作，最多返回20条。