## 上市企业信息 

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keyword | string | 企业唯一编码（pid）或统一信用代码、公司代码、股票代码 |   

### API路径

    /services/v3/rest/enterprise/listedInfo

### 请求方法

GET

### 调用样例

    https://openapi.lixiaoskb.com/services/v3/rest/enterprise/listedInfo?keyword=180a9d11d5e9b8afe2b8638686faa8cc

### 返回结果

JSON示例

```js
{  
     "error_code": 0,  
     "success": true,  
     "message": "",  
     "data": {  
     "PID": "180a9d11d5e9b8afe2b8638686faa8cc",//企业唯一编码  
     "ENTNAME": "杭州煲岛餐饮管理有限公司",//企业名称  
     "UNCID": "330198000111772",//统一信用代码  
     "ESDATE": "2015-04-21T00:00:00.000+0000",//成立日期  
     "LEGALPERSON": "方卫里", //法人 经营者 负责人 投资人 执行事务合伙人  
     "LEGALPERSONDESC": "法定代表人",//法人名称类型  
     "REGCAP": 20,//注册资金  
     "REGCAPCUR": "万元人民币",//注册资金单位  
     "DOM": "杭州经济技术开发区下沙街道东城大厦7幢1614室",//住所  
     "LISTEDTYPE":""// 上市类型  
     "COMPANYNAME_EN":""//英文全称  
     "PROVINCE":"",//所属省份  
     "INDUSTRYPHY":"",//所属行业  
     "INTRODUCTION":"",//公司简介  
     "EMPNUM":"", //员工人数  
     "COMPANYCODE":""//公司代码  
     "SHORTNAME":""//公司简称  
     "SHORTHISTORYNAME":""//公司简称(曾用名)  
     "ASTOCKCODE":"",//A股票代码  
     "ASTOCKSHORTNAME":"",//A股票简称  
     "BSTOCKCODE":"",//B股票代码  
     "BSTOCKSHORTNAME":"",//B股票简称  
     "TOTALSTOCK":""//总股本  
     "CIRCULATIONSTOCK":""//流通总股本  
     "CHAIRMAN":"",//董事长  
     "GENERALMANAGER":"",//总经理  
     "SECRETARY":"",//董秘  
     "INDDIRECTOR":""//独立董事  
     "TEL":"" //电话  
     "FAX":"" //传真  
     "EMAIL":"" //邮箱   
     "POSTCODE":"" //邮编  
     "WEBSITE":"" //网址  
     "OFFICEADDRESS":"" //办公地址  
     "MANAGERINFO":[ //高管信息  
        {  
           "NAME" :"张三",//高管姓名  
           "DUTY":"董事",//职务   
           "SEXY" : "男" ,//性别  
           "AGE" : "72", //年龄  
           "EDUCATION":"博士",//学历  
           "SALARY":"66万元" //薪水  
           "PUBDATE":"2016-11-29" //公告日期  
           "TERMFROM":"2007-04-09" //任期开始  
           "TERMTO":"2019-11-27" //任期结束  
           "SHARE":"19898.29" //持股数 （万股）  
           "INTRO":"付永标先生,中国国籍,未拥有..." //高管简介  
           "CATEGORY":"董事会 监事会 高管" // 高管类型  
        }  
      ]  
     "SHAREHOLDER":[ //十大股东信息  
        {  
           "ENDDATE":""//公告日期  
            "STOCKINFO":[  
               {  
                 "invName": "洪春梅",//股东名称  
                 "stockType": "",// 股份类型  
                 "amount": 0,//持股数（股）   
                 "ratio": "",//总股本持股比例  
               }  
          ]  
      }  
    ],  
    "SHAREHOLDERCIRCULATE":[ //十大流通股东信息  
    {  
       "ENDDATE":""//公告日期  
       "STOCKINFO":[  
             {  
             "invName": "洪春梅",//股东名称  
             "stockType": "",// 股份类型  
             "amount": 0,//持股数（股）   
             "ratio": "",//总股本持股比例  
             }  
       ]  
    }  
    ]  
  }  
}

```


## &nbsp;错误返回值
错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)