## 企业详情官方网站信息 

### API路径

    /services/v4/rest/enterprise/getWebSitInfo

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称，统一信用代码，工商注册码 |   |

###   调用样例

    https://${host}/services/v4/rest/enterprise/getWebSitInfo?id=7be62ec095fdd7463548514a15d268ba

JSON示例

    {
        "error_code": 0,
        "success":true
        "message": "",
        "data": {
    			"total": 1,
    			"items": [{
    				"_id": "5ab36c90fec7c96f306f4039",
					"companyType":"xxx", // 企业类型
                	"sitehome": "www.lnhwfyc.cn", //网址
    				"companyname": "辽宁华为餐饮有限公司",
    				"recordid": "辽icp备16018106号-1", //网站备案/许可证号
    				"pid": "e37e8a16df509b8c190d11809bdde668",
    				"sitedomain": "lnhwfyc.cn", //域名
    				"sitename": "辽宁华为餐饮有限公司", //网站名称
    				"checkdate": 1481472000000, //审核时间
    				"webname":"xxx",// 网站名称
    				"kxsource": 7,// 可信网对网站的评估(9:标记官网+可信网;8：标记官网;7：无官网标记，只有可信网标记）
    				"rank": 2,//Alexa网站排名
    				"siteEqCom":true,//网站名是否是公司名
    				"tailNum":5,//备案号尾数
    				"weightPcBaidu": 5,//百度权重PC端
    				"weightPcQihoo": 8,//360权重PC端
    				"weightPcSougou": 9,//搜狗权重pc端
    				"totalCollectionBaidu":1000,//百度总收录量
    				"totalCollectionQihoo": 1000,//360总收录量,
    				"totalCollectionSougou": 1000, //搜狗总收录量,
    				"seoTitle": "页面tdk信息标题",// 页面信息标题
    				"seoKeyWords": "页面tdk信息关键词",// 页面tdk信息关键词
    				"seoDescription": "信息描述",// 页面tdk信息描述
    				"domainCreateTime": "",//域名创建时间
    				"domainExpireTime": "",//域名过期时间
					"templateSuppiler":"中企", // 建站方
    			}]
    		}
      }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能同时为空 |
| 2002 | 修改参数 | 未查询到相关企业 |


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)