## 企业详情资质证书信息 

 ### API路径

    /services/v4/rest/enterprise/getCertificateInfo

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称或者统一信用代码，工商注册码 |   |
| page | int | 否（默认值为1）| 分页参数-页数 |  |
| pageSize | int | 否（默认值为100，取值范围为0-100） | 分页参数-每页数量 |  |

### 调用样例

    https://${host}/services/v4/rest/enterprise/getCertificateInfo?id=7be62ec095fdd7463548514a15d268ba&keywords=信息

JSON示例

```json
{
    "error_code": 0,
    "success": true,
    "message": "",
    "data": {
        "total": 2, // 证书总数
        "items": [ // 证书列表信息
            {
                "status": "无效", // 证书状态	
                "certName": "建筑行业建筑工程丙级", // 证书名称
				"categoryL1": "食品行业证书",//一级证书类型
				"categoryL2": "食品资质",//二级证书类型
                "certId": "A236005615", // 证书编号
				"PID": "65e91aeec7080bf6cceeb30835c0738a", //企业PID
				"organName": "北京国家金融科技认证中心有限公司", // 发证机关
				"startDate": 1689523200000, // 发证日期
				"endDate": 1753545600000, // 截止日期
				"TABLE": "CertificateInfoSD", // 数据来源
                "_id": "5ba4cdd6bb8cf52e3077b9fe" // _id
            }
        ],
        "certificateOfGeneral": { // 证书概况
            "CertL2Type": [ // 涵盖证书类别
                "CCC",
                "电信、软件服务",
                "高新技术企业资质"
            ],
            "CertL2Count": 3, // 涵盖证书类别数量
            "CertCountYear": 172, // 本年度获证数量
            "InitCertDate": "2003-05-28T16:00:00.000Z", // 初次获证日期
            "LastCertDate": "2024-09-06T16:00:00.000Z" // 最近获证日期
        },
        "categoryOptions": [
			{
				//一级证书类型
				"categoryL1": "食品行业证书",
				//二级证书类型
				"categoryL2": "食品资质"
			}
		] // 证书类型筛选项
    }
}
```

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp; |
| 2002 | 未查询到相关企业 |   |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)