## 企业详情专利信息 

  ### API路径

    /services/v4/rest/enterprise/getEntPatentsInfo

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称或者统一信用代码，工商注册码 |   |
| page | int | 否 | 分页参数-页码，默认为1 | |
| pageSize | int | 否 | 分页参数-每页数量，默认为100，最大值为100 | |

###   调用样例

    https://${host}/services/v4/rest/enterprise/getEntPatentsInfo?id=7be62ec095fdd7463548514a15d268ba

JSON示例

    {
        "error_code": 0,
        "success":true
        "message": "",
        "data": {
              "total": 2,
              "items": [
                  {
    				  "patentImage":"", //专利图片
                      "patentname": "面向软件演化的", // 专利名称
                      "noticetype": "发明授权", // 专利类型
    				  "applypubno": "CN105867906B", // 发布号
    				  "applyno": "201610164659X" // 申请号
    				  "applypubdate": 1543248000000, // 发布日期
    				  "inventor": "", // 发明人
    				  "applyMan": "", // 申请人
                   	  "address": "", // 地址
    				  "agentCompany":"", //代理机构
    				  "agentMan":"", //代理人
    				  "comment":"" //摘要
                  }
              ]
    	}
      }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能同时为空 |
| 2002 | 修改参数 | 未查询到相关企业 |


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)