## 企业详情商标信息 

### API路径

    /services/v4/rest/enterprise/getEntTradeMarkInfo

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称或者统一信用代码，工商注册码 |   |
| page | int | 否（默认值为1）| 分页参数-页数 |  |
| pageSize | int | 否（默认值为100，取值范围为0-100） | 分页参数-每页数量 |  |

调用样例

https://${host}/services/v4/rest/enterprise/getEntTradeMarkInfo?id=7be62ec095fdd7463548514a15d268ba

JSON示例

    {
        "error_code": 0,
        "success": true,
        "message": "",
        "data": {
            "total": 5,
            "items": [
                {
                    "MARKIMGOSS": "200d382f2210613f5d2c3992df1e5721.jpg", // 商标图片
                    "REGISTERNO": "1283",
                    "APPLYDATE": 1234310400000, //申请日期
                    "CURSTATUS": "商标已注册", //商标状态		
                    "APPLYNO": "7195240", //注册号
                    "MARKNAME": "NAHJING SCITECH CENTRE NSC", // 商标名称
                    "COMPANYNAME": "南京科技广场科技发展有限公司", //申请人
                    "MARKTYPESTR": "普通商标", //商标类型
                    "MARKTYPENUM": "42", //商标类别
                    "AGENTNAME": "宗和国际知识产权代理（北京）有限公司", //代理机构
                    "INVENTORY": " 4214 物理研究 4224 艺术品鉴定 4216 包装设计 4209 技术研究 " //商标/服务项目
                    "MARKSTATUS": [ //商标动态
                        "2011年11月02日 商标已注册",
                        "2011年06月10日 注册申请初步审定",
                        "2009年02月11日 商标注册申请中"
                    ],
                    "DEADLINE": "2011年10月14日 至 2021年10月13日" //专用期权限
                }
    }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能同时为空 |
| 2002 | 修改参数 | 未查询到相关企业 |


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)