## 商标信息 

### API路径

    https://openapi.lixiaoskb.com/services/v3/rest/enterprise/getThirdPartyTradeMarkInfo

### 请求方法

GET

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| applyNo | string | 必须，注册号 | &nbsp; |
| markName | string | 可选，商标名称（商标和申请人必须有一个不能为空） | &nbsp; |
| keyword | string | 可选，申请人（商标和申请人必须有一个不能为空） | &nbsp; |
| markType | int | 可选，商标类型 | &nbsp; |



### 调用样例

    https://openapi.lixiaoskb.com/services/v3/rest/enterprise/getThirdPartyTradeMarkInfo?markName=TSLNIP&applyNo=185238

### 返回结果

JSON示例
```JSON
{
  "error_code": 0,
  "success": true,
  "message": "",
  "data": [
    {
      "DOMAIN": "[http://www.sbcx.com](http://www.sbcx.com)", //域名  
      "INTERREGIDATE": "", //国际注册日期  
      "REGISTERDATE": 0, //注册公告日期  
      "APPLYNO": "22160023", //申请/注册号  
      "AGENTNAME": "深圳市金信知识产权代理有限公司", //代理机构名称
	  "AGENTPID": "xxx", // 商标代理机构pid
      "REGISTERNO": "", //注册公告期号  
      "INVENTORY": "0901-可下载的计算机应用软件，数据处理设备，计算机软件（已录制），计算机外围设备，电子出版物（可下载） 0907-网络通讯设备 0908-电子图书阅读器 0909-照相机（摄影） 0920-电子防盗装置 0922-移动电源（可充电电池）", //商品/服务列表  
      "MARKSTATUS": [ //商标流程  
        "G1044715 领土延伸 审查 结束2011年06月03日",
        "G1044715 领土延伸 申请收文 结束2010年08月31日"
      ],
      "APPLYADDR": "广东省深圳市南山区高新区科技中一路腾讯大厦35层", //申请人地址  
      "STATUSINFO": "LIVE/REGISTRATION/Issued and Active 注册", // 商标状态详情  
      "APPLYDATE": 1480953600000, //申请日期  
      "APPLYENADDR": "", // 申请人地址（英文）  
      "EXAMPUBNO": "", //初审公告期号  
      "CURSTATUS": "等待受理通知书发文", //当前状态  
      "COMPANYENNAME": "", //申请人名称（英文）  
      "MARKIMG": "https://skb-trademark.oss-cn-qingdao.aliyuncs.com/230f85c699665fd2a5d452d1851c29a6.jpg", // 商标图片  
      "PRIORITYDATE": "", //优先权日期  
      "MARKTYPESTR": "普通商标", //商标类型  
      "MARKSTATE": " ", // 商标状态  
      "DEADLINE": "--", //专用权期限  
      "EXAMPUBDATE": 0, //初审公告日期  
      "SPECIFYDATE": "", //后期指定日期  
      "COMPANYNAME": "腾讯科技(深圳)有限公司", //商标所属企业名称
	  "PID": "xxx", // 商标所属企业pid
      "MARKTYPENUM": "9", //商标类别  
      "MARKNAME": "WEIPAN", //商标名称  
      "ISCOMMONMARK": "否", //是否公用商标  
      "USERIGHTDATEBEGIN": 1514976893445, //专用权开始日期  
      "USERIGHTDATEEND": 1514976893445, //专用权结束日期  
      "ANNO": [ //所有该注册号涉及的公告  
        {
          "annoNum": "1501", //公告期号   
          "annoType": "商标初步审定公告", //公告类型  
          "annoDate": 1516377600000 //公告日期  
        }
      ],
      "COOWNER": [], //商标共有人
      "MARKFORM": "立体商标" //商标形式 立体商标|颜色商标|声音商标  
    }
  ]
}
```

#### 错误返回值


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)