## 软件著作 

### API路径

    https://openapi.lixiaoskb.com/services/v4/rest/enterprise/getSoftwareCopyright

### 请求方法

GET

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keyword | string | 必须，企业全称，企业唯一编码（pid），统一信用代码，工商注册码 | &nbsp; |
| page | int | 可选，页数（默认第一页），每页固定返回100条数据 | &nbsp; |



### 调用样例

    https://openapi.lixiaoskb.com/services/v4/rest/enterprise/getSoftwareCopyright?keyword=test&page=1

### 返回结果

JSON示例


```json
{
    "error_code": 0,
    "success": true,
    "message": "",
    "data": {
        "total_count": 2, // 总数量
        "total_page": 1, // 总页数
        "page": 1, // 当前页
		"selfInfo": {
			"pid": "自己所属企业的id",
			"entName": "自己所属企业的名称"
		},
        "list": [
            {
                "software_name": "测试软件1", // 软件名称
                "short_name": "test1", // 软件简称
                "version": "V2.0", // 版本
                "regist_no": "2020SR0171241", // 登记号
                "regist_date": 1582588800000, // 登记时间(毫秒)
                "release_date": 1545350400000, // 发布时间(毫秒)
				"url": "链接",
				"webSourceName": "来源站名"
            },
            {
                "software_name": "测试软件2",
                "short_name": "test2",
                "version": "V1.0",
                "regist_no": "2020SR0172760",
                "regist_date": 1582588800000,
                "release_date": 1555027200000
            }
        ]
    }
}
```


#### 错误返回值


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)