## 作品著作 

### API路径

    https://openapi.lixiaoskb.com/services/v4/rest/enterprise/getWorksCopyright

### 请求方法

GET

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keyword | string | 必须，企业全称，企业唯一编码（pid），统一信用代码，工商注册码 | &nbsp; |
| page | int | 可选，页数（默认第一页），每页固定返回100条数据 | &nbsp; |



### 调用样例

    https://openapi.lixiaoskb.com/services/v4/rest/enterprise/getWorksCopyright?keyword=test&page=1

### 返回结果

JSON示例



```json
{
    "error_code": 0,
    "success": true,
    "message": "",
    "data": {
		"selfInfo": {
			"pid":"xxxxx", // 企业id
			"entName":"xxxxx", // 企业名称
			"uncid":"xxxx", // 统一社会信用码
			"esDate": 12333330000 // 企业成立时间的毫秒时间戳
		},// keyword对应企业的简单信息
        "total_count": 2, // 总数量
        "total_page": 1, // 总页数
        "page": 1, // 当前页
        "list": [
            {
                "works_name": "作品", // 作品名称
                "regist_category": "美术", // 作品类别
                "regist_no": "国作登字-2014-F-00162258", // 登记号
                "regist_date": 1414886400000, // 登记时间(毫秒)
                "release_date": 1400976000000, // 首次发表日期(毫秒)
                "finish_date": 1400544000000 // 创作完成日期(毫秒)
            }
        ]
    }
}
```



#### 错误返回值


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)