## 标准信息

### API路径

    https://openapi.lixiaoskb.com/services/v4/rest/enterprise/standard_info

### 请求方法

GET

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keywords | string | 必须，企业全称，企业唯一编码（pid），统一信用代码，工商注册码 | &nbsp; |
| standardRank | array | 可选, 标准级别，传值必须为数组，支持筛选多个标准级别，可选值（国家标准、行业标准、团体标准、地方标准、企业标准） |
| page | int | 可选，页数（默认第一页），每页固定返回20条数据 | &nbsp; |



### 调用样例

    https://openapi.lixiaoskb.com/services/v4/rest/enterprise/standard_info?keywords=116f07b8da50e6157b98ae104de8cdfc&standardRank[]=国家标准&standardRank[]=行业标准

### 返回结果

JSON示例

```javascript
{
    "error_code": 0,                                   // 错误码（0表示成功）
    "success": true,                                   // 请求是否成功
    "message": "",                                     // 附加消息
    "data": {
        "page": 1,                                     // 当前页码
        "pageSize": 20,                                // 每页数据量
        "total": 1,                                    // 总数据量
        "totalPage": 1,                                // 总页数
        "selfInfo": {                                  // 当前企业信息
            "pid": "116f07b8da50e6157b98ae104de8cdfc", // 企业ID
            "entName": "苏宁易购集团股份有限公司",       // 企业名称
            "uncid": "91320000608950987L",             // 统一社会信用代码
            "esDate": 832118400000                     // 成立日期（时间戳）
        },
        "items": [                                     // 标准数据列表
            {
                "standardName": "新风净化机颗粒物净化性能分级",                     // 标准名称
                "scopeOfApplication": "本标准规定了...特殊环境场所使用的新风净化机。", // 适用范围
                "groupName": "中国质量检验协会",                                   // 团体名称
                "standardSubstitution": "",                                        // 被以下标准替代
                "substituteStandard": "",                                          // 代替了以下标准
                "hasPatentInformation": false,                                     // 是否包含专利信息
                "citizenEconomicClassification": "C349 其他通用设备制造业",        // 国民经济分类
                "industryClassification": "",                                      // 行业分类
                "competentDepartment": "",                                         // 主管部门
                "executiveUnit": "",                                               // 执行单位
                "publishingDepartment": "",                                        // 批准发布部门
                "technicalCentring": "",                                           // 技术归口
                "focalUnit": "",                                                   // 归口单位
                "internationStandardClassification": "97.030",                     // 国际标准分类号
                "chinaStandardClassification": "",                                 // 中国标准分类号
                "edit": "",                                                        // 制修订
                "standardClass": "",                                               // 标准类别
                "standardProperty": "",                                            // 标准性质
                "standardRank": "团体标准",                                        // 标准级别
                "annulmentDate": null,                                             // 废止日期
                "implementationDate": 1510502400000,                               // 实施日期（时间戳）
                "releaseDate": 1509897600000,                                      // 发布日期（时间戳）
                "recordDate": null,                                                // 备案日期
                "standardNumber": "T/CAQI 34—2017",                                // 标准号
                "standardState": "现行",                                           // 标准状态
                "recordNumber": "",                                                // 备案号
                "technicalContent": "新风净化机以过滤原理对颗粒物...性能分级评定。", // 主要技术内容
                "productInformation": "", 										// 执行该标准的产品信息
                "drafter": [                                                       // 起草人
                    "刘益民", "刘露", "吴天文", "...（略）"
                ],
                "draftingUnits": [                                                 // 起草单位
                    {
						"name": "东莞市净诺环境科技股份有限公司"，					  // 起草单位名称
						"pid": "f6ea795efd670eb7f95162a09a1cb7e2"				   // 起草单位企业pid
					}
                ]
            }
        ]
    }
}

```


#### 错误返回值


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)