## 企业联系方式

### 接口说明
> 返回手机、固定电话
> 返回职位信息
> 按照公司数量计量


### API路径

    services/v4/rest/enterprise/batch/contactInfoDetail

### 请求方法

GET

###   请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keywords | list | 企业名称或企业唯一标识(pid)，统一信用代码，工商注册码，需精准匹配。list类型，最大一次支持50个企业的查询 | &nbsp; |
| type | string | 号码类型，默认为 3 | &nbsp; |

号码类型参数说明

| 参数 | 说明 |
|--- |--- |
| 0 | 手机，固话 |
| 1 | 手机 |
| 2 | 固话 |
| 3 | 手机，固话，email |
| 4 | 手机，固话，email，qq |


### 调用样例

    https://${host}/services/v4/rest/enterprise/batch/contactInfoDetail?keywords[]=上海xx公司&keywords[]=上海yy公司

### 返回结果

JSON示例

    {
      "error_code": 0,
      "success":true
      "message": "",
      "data": {
    		"上海xx公司": [	// 企业的联系方式信息列表 (企业不存在或是企业无联系方式，则不返回)
    				{
						"tagType" : 1,	// 联系方式标记 1=关键，2=推荐, 0=无标记
						"type": 1, // 联系方式类型。 【1:手机; 2:固话;】
						"content": "187********"(021********), // 联系方式内容 【手机; 固话;】  
						"numStatus": 1, // 号码状态。 1：正常， 2：异常， 3：未知，4：屏蔽，5：疑似代理记账
						"contact": "张**", // 联系人
						"position" : "法人"，// 联系人职位
						"sources": [ // 所有来源信息
							{
								"sourceName": "找找去", // 来源站点名称
								"contact": "张***"， // 来源站点的联系人名
								"url":'xxxxx' // 来源url
							 }
							],
						"labels" : [ "关键" ],	// 标签
              		}
    			]
    	}
        "remainCount": 10000	// 剩余的可调用次数
    }

错误返回值

| code | msg | 说明 |
|---|---|---|
| &nbsp;406 | &nbsp;PIN已被使用 / 请求参数有误(keyword参数不能为空，类型需为list) | &nbsp; |
| 407 | PIN时间戳和服务器时间误差超过10分钟 |    |
| 408 | Access Secrect 验证失败 |    |
| 409 | 缺少 X-AK-KEY 或者 X-AK-PIN 或 X-AK-TS 请求头 |    |
| 410 | Access Key 不存在 |    |
| 411 | 访问 IP 不在白名单之列 |    |
| 412 | Access Key 已被禁用 |    |
| 500 | 服务器错误 |    |
| 1000 | 账户已过期 |    |
| 1001 | 请求额度不足 |    |
| 1002 | 账户无调用权限 |    |
| 1003 | 请求并发超限 | |


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)