## 企业详情招聘信息 

### API路径

/services/v4/rest/enterprise/getRecruitInfo

### 请求方法:

GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称，统一信用代码，工商注册码 |   |
| page | int | 否 | 页数(默认第一页) |   |
| recProvince | int | 否 | 岗位所在省 |   |
| recCity | int | 否 | 岗位所在市 |   |
| pageSize | int | 否（默认值为10，最大值为100） | 分页参数-每页数量 |  |

注：岗位所在省和市，只需要存在一个，以市优先

###   调用样例

    https://${host}/services/v4/rest/enterprise/getRecruitInfo?id=ff9faa7f84fa0310a89424ff35ce1406&page=3&recProvince=11&recCity=1101

JSON示例

     {
        "error_code": 0,
        "success": true,
        "message": "",
		"selfInfo": {
			"pid":"xxxx",
			"entName": "企业名称"
		},
        "page": "37",
        "perPage": 50,
        "totalCount": 1810,
        "totalPage": 37,
        "data": [
            {
                "PID": "ff9faa7f84fa0310a89424ff35ce1406",
                "COMPANYNAME": "苏州乐泽邦电器有限公司", //公司名称
                "jobName": "急聘普工 学徒仓管 组装维修 情侣宿舍", //招聘岗位名称
                "releaseDate": "2021-03-15T16:00:00.000Z", //招聘发布日期
                "sourceName": "百度招聘" //招聘平台
				"education" : "大专", // 学历要求
				"salary" : "8000-12000元/月", // 薪资范围
				"experience" : "3-5年", // 工作经验
				"amount" : "1人", // 招聘人数
				"jobDesc" : "职位描述： 岗位职责: 1、负责装修； 2、负责电器维护",	// 岗位描述
				"address" : "上海", // 岗位地址
				"jobUrl" : "http://zhaopin.baidu.com/szzw", // 岗位链接
				"first_industry": [ "科学研究和技术服务业" ],	 // 一级行业
            	"second_industry": [ "科技推广和应用服务业" ],	// 二级行业
            	"third_industry": [ "其他科技推广服务业" ],	// 三级行业
            	"four_industry": [ "其他科技推广服务业" ],	// 四级行业
				"recProvince":22,// 省code
				"recCity":2220, // 市code
				"recDistrict":222008 // 区code
            },
            {
                "PID": "ff9faa7f84fa0310a89424ff35ce1406",
                "COMPANYNAME": "苏州乐泽邦电器有限公司",
                "jobName": "美女多多＋工厂普工＋仓管质检",
                "releaseDate": "2021-03-11T16:00:00.000Z",
                "sourceName": "百度招聘",
				"education" : "不限", // 学历要求
				"salary" : "2000-5000元/月", // 薪资范围
				"experience" : "1-3年", // 工作经验
				"amount" : "1人", // 招聘人数
				"jobDesc" : "职位描述： 岗位职责: 1、负责产品质量检测； 2、负责生产产品",	// 岗位描述
				"address" : "苏州", // 岗位地址
				"jobUrl" : "http://zhaopin.baidu.com/szzw", // 岗位链接
				"first_industry": [ "科学研究和技术服务业" ],	 // 一级行业
            	"second_industry": [ "科技推广和应用服务业" ],	// 二级行业
            	"third_industry": [ "其他科技推广服务业" ],	// 三级行业
            	"four_industry": [ "其他科技推广服务业" ],	// 四级行业
            },
    //.....
            {
                "PID": "ff9faa7f84fa0310a89424ff35ce1406",
                "COMPANYNAME": "苏州乐泽邦电器有限公司",
                "jobName": "杭州＋仓管普工电子保安＋美女多多＋厂家直招",
                "releaseDate": "2021-03-14T16:00:00.000Z",
                "sourceName": "百度招聘",
				"education" : "本科", // 学历要求
				"salary" : "5000-8000元/月", // 薪资范围
				"experience" : "10年", // 工作经验
				"amount" : "100人", // 招聘人数
				"jobDesc" : "职位描述： 岗位职责: 1、负责装修； 2、负责电器维护",	// 岗位描述
				"address" : "苏州", // 岗位地址
				"jobUrl" : "http://zhaopin.baidu.com/szzw", // 岗位链接
				"first_industry": [ "科学研究和技术服务业" ],	 // 一级行业
            	"second_industry": [ "科技推广和应用服务业" ],	// 二级行业
            	"third_industry": [ "其他科技推广服务业" ],	// 三级行业
            	"four_industry": [ "其他科技推广服务业" ],	// 四级行业
            }
        ]
    }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能同时为空 |
| 2002 | 修改参数 | 未查询到相关企业 |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)