## 企业详情招标投标信息 

### API路径

    /services/v4/rest/enterprise/getEntInviteInfo

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称或者统一信用代码，工商注册码 |   |
| page | int | 否（默认为1） | 分页参数-页数 | |
| pageSize | int | 否（默认为100），最大值为100 | 分页参数-每页数量 | |

### 调用样例

    https://${host}/services/v4/rest/enterprise/getEntInviteInfo?id=7be62ec095fdd7463548514a15d268ba&page=1&pageSize=10

JSON示例
```json
{
    "error_code": 0,
    "success": true,
    "message": "",
    "data": {
        "page": 1,        // 当前查询的页码
        "pageSize": 100,        // 当前查询的每页数量
        "total": 1,        // 总数量
        "totalPage": 1,        // 总页码数
        "selfInfo": {            // 查询企业的信息
            "pid": "387cf029d31ef28836486d0d38821d5e",        // 企业pid
            "entName": "华为技术有限公司",        // 企业名称
            "uncid": "914403001922038216",        // 企业的统一社会信用码
            "esDate": 558633600000        // 企业注册时间
        },
        "items": [
            {
                "tenderId": "120512601",		// 招投标id
                "URL": "http://www.bidizhaobiao.com/info-578340360.html?companyId=32",		// 外链
                "tenderType": "招标",		// 类型
                "province": "贵州省",		// 所属地区-省份
                "region": "六盘水市",		// 所属地区-城市
                "projectName": "新建盘县至兴义铁路站后工程PXZH-RD标自购物资设备第二次直接采购公告",		// 项目描述
                "publicDate": 1735574400000		// 发布时间
            }
        ]
    }
}
```

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能同时为空 |
| 2002 | 修改参数 | 未查询到相关企业 |


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)