## 企业详情网络推广信息 

### API路径

    /services/v4/rest/enterprise/getNetPopularizeInfo

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称，统一信用代码，工商注册码 |   |
| page | int | 否 | 分页参数-页码，默认为1 | |
| pageSize | int | 否 | 分页参数-每页数量，默认为100，最大值为100 | |

### 调用样例

    https://${host}/services/v4/rest/enterprise/getNetPopularizeInfo?id=7be62ec095fdd7463548514a15d268ba

JSON示例

    {
        "error_code": 0,
        "success":true
        "message": "",
        "data": {
              "total": 2,
              "items": [
                {
                  "domainId": "5ce7ab41959c343fae393bfb", // id
                  "semDate": "2019-07-31T16:00:00.000Z", // 最近推广时间
                  "semTitle": "华为商城-华为蓝牙耳机HiPair闪连快充技术_18小时长续航", // 推广title
                  "sourceName": "BaiduCompany", // 推广平台
                  "sourceType": 1, // 推广类型(1：网页端；2：移动端)
                  "semUrl": "www.vmall.com", // 推广链接
                  "semKeywords": [ // 推广关键字
                      "移动OA",
                      "移动oa"
                  ],
                  "keywordsNum": 536, // 推广关键字数
                  "titleNum": 354 // 推广文案总数
                }
              ]
    	}
      }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 添加参数 | &nbsp;id和keywords不能全为空 |
| 2002 | 修改参数 | 未查询到相关的企业 |


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)