## 进出口信用信息 

### API路径
    /services/v4/rest/enterprise/getImportAndExportCredit

### GET请求方法

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| keywords | string | 是 | 企业名称（精确匹配） | 公司名称或者pid，统一信用代码，工商注册码 |
| page | int | 否 | 分页参数-页码，默认为1 | 1 |
| pageSize | int | 否 | 分页参数-每页数量，默认为100，最大值为100 | 10 |

### 调用样例

    https://${host}/services/v4/rest/enterprise/getImportAndExportCredit?keywords=信息

JSON示例

    {
        "error_code": 0,
        "success":true
        "message": "",
        "data": { // 进出口信用
				"selfInfo": {
					"pid":"xxxxxx",
					"entName":"xxxxxx",
					"uncid":"xxxxxx", // 社会信用代码
					"esDate":1234500000 // 企业成立时间的毫秒时间戳
				},// keywords对应的企业简单信息
				"page":1,
				"pageSize":10,
    			total: 0,
    			items:[
    					{
                      	"_id": "5fbcd4846d0f381d23d5d7bd",
                      	"adminisDivision": "天津市东丽区", // 行政区划
                      	"pid": "cd440f84ba642fe363b1a6d71a9e7571",
                      	"custCode": "1207280130", // 海关注册编码
                      	"indusCategory": "其他未列明专业技术服务业", // 行业种类
                      	"economicDivision": "保税港区/综合保税区", // 经济区划
                      	"creditLevel": "高级认证企业", // 信用等级
                      	"annStatusDesc": "已报送", // 年报情况
                      	"registerOrg": "津滨综保", // 注册海关
                      	"opCategory": "报关企业", // 经营类别
                      	"validDateTo": "长期", // 报关有效期
                      	"custStatusDesc": "正常", // 海关注销标志
                      	"registerDate": 1176163200000, // 注册日期（注意：无时间时返回的是 ''）
                      	"businessType": [ // 跨境电子商务类型
                          	"电子商务企业", "电子商务交易平台"
                      		]
    					}
    				]
      }
    }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;keywords不能为空 |
| 2002 | 修改参数 | 未查询到相关企业 |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)