## 纳税资质

### API路径

    https://openapi.lixiaoskb.com/services/v4/rest/enterprise/getTaxQualification

### 请求方法

GET

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keyword | string | 必须，企业全称，企业唯一编码（pid）或统一信用代码，工商注册码 | &nbsp; |
| page | int | 可选，页数（默认第一页），每页固定返回100条数据 | &nbsp; |



### 调用样例

    https://openapi.lixiaoskb.com/services/v4/rest/enterprise/getTaxQualification?keyword=test&page=1

### 返回结果

JSON示例


```json
{
    "error_code": 0,
    "success": true,
    "message": "",
    "data": {
		"selfInfo": {
			"pid":"xxxx",
			"entName":"xxxx",
			"uncid":"",
			"esDate":12345000000 // 企业成立时间的时间戳
		}, // keyword对应企业的简单信息
        "total_count": 1, // 总数量
        "total_page": 1, // 总页数
        "page": 1, // 当前页
        "list": [
            {
                "tax_type": "一般纳税人", // 纳税人资质 
                "uncid": "123456", // 纳税人识别号
                "start_date": 1545350400000, // 发证日期(毫秒)
                "end_date": 1582588800000, // 到期日期(毫秒)
                "tax_authority": "上海税务局" // 税务机关
            }
        ]
    }
}
```


#### 错误返回值


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)