## 根据展会id查询参展企业


### API路径

    services/v4/rest/enterprise/exhibitionJournalList

### 请求方法

POST

###   请求参数
body 参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| journalId | string | 会刊id(查看展会会刊搜索接口) | &nbsp; |
| page | int | 页数（默认为1），每页固定返回10条数据 | &nbsp; |

### 调用样例

    http://${host}/services/v4/rest/enterprise/exhibitionJournalList
	
### 返回结果

| 字段 | 类型| 说明 |
| --- | --- | --- |
| journalId | string | 展会会刊id |
| journalName | string | 会刊名称 |
| journalStartDate | long | 展会开始时间（毫秒） |
| journalAddress | string | 展会地区 |
| list | List[object] | 展会参展企业 |

参展企业字段(list)说明 :

| 字段 | 类型| 说明 |
| --- | --- | --- |
| pid | string | 企业id |
| entName | string | 企业名称 |
| entAddress | string | 企业所在地 |
| businessProduct | string | 企业主营产品 |
| esDate | long | 企业成立日期(毫秒)(0表示无) |
| matchBusiness | int | 是否匹配工商 0=否 1=是 |

JSON示例

	{
		"error_code": 0,
		"message": "",
		"data": {
			"journalId": "eb980f89b4ec3c715b241588d526ff75",	// 展会会刊id
			"journalName": "2019第二十七届中国（深圳）国际礼品展览会",	// 会刊名字
			"journalStartDate": 1556121600000,	// 展会开始时间（毫秒）
			"journalAddress": "广东-深圳",	// 展会地区
			"list": [
				{
					"pid": "48f1d89f32f4740760088ee691878e48",	// 企业id
					"entName": "上海世的宝实业有限公司",	// 企业名称
					"entAddress": "",	// 企业所在地
					"businessProduct": "", // 主营产品
					"esDate": 0,	// 成立时间
					"matchBusiness": 1	// 是否匹配工商 0=否 1=是
				}
			]
		},
		"total": 935,
		"page": 1,
		"size": 10
	}


错误返回值

| code | msg | 说明 |
|---|---|---|
| &nbsp;406 | &nbsp;PIN已被使用 / 请求参数有误(keywords参数不能为空，类型需为string) | &nbsp; |
| 407 | PIN时间戳和服务器时间误差超过10分钟 |    |
| 408 | Access Secrect 验证失败 |    |
| 409 | 缺少 X-AK-KEY 或者 X-AK-PIN 或 X-AK-TS 请求头 |    |
| 410 | Access Key 不存在 |    |
| 411 | 访问 IP 不在白名单之列 |    |
| 412 | Access Key 已被禁用 |    |
| 500 | 服务器错误 |    |
| 1000 | 账户已过期 |    |
| 1001 | 请求额度不足 |    |
| 1002 | 账户无调用权限 |    |
| 1003 | 请求并发超限 | |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)