## 根据招投标id查询详细信息


### API路径

    services/v4/rest/enterprise/tenderProjectInfo

### 请求方法

POST

###   请求参数
body 参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| tenderId | string | 招投标id(查看招投标项目搜索接口) | &nbsp; |

### 调用样例

    http://${host}/services/v4/rest/enterprise/tenderProjectInfo
	
### 返回结果

JSON示例
```json
{
    "error_code": 0,
    "message": "",
    "data": {
        "tenderId": "120512601",		// 招投标id
        "title": "新建盘县至兴义铁路站后工程PXZH-RD标自购物资设备第二次直接采购公告",		// 招投标标题
        "tenderPublicDate": 1735574400000,		// 发布时间（毫秒时间戳）
        "subjectMatter": "",		// 标的物
        "tenderType": "招标公告",		// 项目类型
        "noticeTypeSub": "招标",		// 项目子类型
        "area": "贵州省",		// 省份
        "city": "六盘水市",		// 城市
        "budgetPrice": null,		// 预算金额
        "unit": "元",		// 货币单位
        "url": "http://www.bidizhaobiao.com/info-578340360.html?companyId=32",		// 原文链接
        "webName": "比地招标网",		// 网站名称
        "quotedPrice": null,		// 报价金额
        "bidPrice": null,		// 中标金额
        "tenderUnitList": [],		// 招标单位
        "agencyUnitList": [		// 代理单位
            {
                "pid": "d4861c1e087c8dd49e70bbcd74fb2a87",		// 企业id
                "name": "通号（北京）招标有限公司"		// 企业名称
            }
        ],
        "outbidUnitList": [		// 中标单位
            {
                "pid": "45ae700094faeb0289f500fe7a552e2d",
                "name": "COMLAB（北京）通信系统设备有限公司"
            }
        ]
    }
}
```


错误返回值

| code | msg | 说明 |
|---|---|---|
| &nbsp;406 | &nbsp;PIN已被使用 / 请求参数有误(keywords参数不能为空，类型需为string) | &nbsp; |
| 407 | PIN时间戳和服务器时间误差超过10分钟 |    |
| 408 | Access Secrect 验证失败 |    |
| 409 | 缺少 X-AK-KEY 或者 X-AK-PIN 或 X-AK-TS 请求头 |    |
| 410 | Access Key 不存在 |    |
| 411 | 访问 IP 不在白名单之列 |    |
| 412 | Access Key 已被禁用 |    |
| 500 | 服务器错误 |    |
| 1000 | 账户已过期 |    |
| 1001 | 请求额度不足 |    |
| 1002 | 账户无调用权限 |    |
| 1003 | 请求并发超限 | |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)