## （待开发）企业详情网络推广详细信息

### API路径

    /services/v4/rest/enterprise/queryNetworkPromotionDetail

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| domainId | string | 是 | 网络推广域名对应的id，该参数从https://apidoc.weiwenjia.com/docs/skb-open-dev//1028 这个接口返回的结构中取domainId  字段 |   |
| page | int | 否（默认为1） | 分页参数-页数 | |

### 调用样例

    https://${host}/services/v4/rest/enterprise/queryNetworkPromotionDetail?domainId=7be62ec095fdd7463548514a15d268ba

JSON示例

    {
        "error_code": 0,
        "success":true
        "message": "",
        "data": {
              	"page": 1,
        		"pageSize": 20,
        		"total": 1,
        		"totalPage": 1,
        		"selfInfo": {
            		"pid": "xxxxx",
            		"entName": "wwww",
           			"uncid": "统一社会信用码"
        		},
              "items": [
                {
                  "semDate": 2333330000, // 推广日期（毫秒时间戳）
				  "semTitle": "华为商城-华为蓝牙耳机HiPair闪连快充技术_18小时长续航",// 推广标题
                  "sourceName": "BaiduCompany", // 来源类型
                  "semType": 1, // 推广类型(1：网页端；2：移动端)
                  "siteHome": "www.vmall.com", // 推广链接
                  "semKeywords": [ // 推广关键字
                      "移动OA",
                      "移动oa"
                  ],
                  "semContent": ["推广内容1","推广内容2"], // 推广介绍
                }
              ]
    	}
      }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2002 | 修改参数 | 未查询到相关的企业 |


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)