## 行政许可

### API路径

    /services/v4/rest/enterprise/getAdministrativeLicense

### 请求方法

GET

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keywords | string | 必须，企业全称，企业唯一编码（pid）或统一信用代码，工商注册码 | &nbsp; |
| page | int | 否（默认为1） | 分页参数-页数 | |
| pageSize | int | 否（默认为10），最大值为100 | 分页参数-每页数量 | |



### 调用样例

    https://${host}/services/v4/rest/enterprise/getAdministrativeLicense?keywords=test&page=1

### 返回结果

JSON示例


```json
{
    "error_code": 0,
    "success": true,
    "message": "",
    "data": {
        "totalCount": 1, // 总数量
		"perPage": 10,
        "totalPage": 1, // 总页数
        "page": 1, // 当前页
        "data": [
            {
                "pid": "xxxx", // 企业pid
				"entName": "xxx", // 企业名称
                "docNo": "A", // 决定文书号
                "licNo": "AA2222",  // 行政许可编号
                "valName": "12345"， // 行政许可名称
				"publishDate": "2022-08-18", // 行政许可发布时间
				"licAnth": "机关名称"，// 行政许可机关
				"licItem": "行政许可内容"，// 行政许可内容
				"valFrom": "2023-10-01", // 行政许可发证时间
				"valTo": "2026-10-01", // 行政许可到期时间
				"adminLicenseType": 1, // 行政许可类型
				"adminLicenseTypeStr": "外贸行政许可" // 行政许可类型的中文描述
            }
        ]
    }
}
```


#### 错误返回值


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)