## 企业详情经营异常信息 

### API路径

    /services/v4/rest/enterprise/getAbnormalInfo

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称或者统一信用代码，工商注册码 |   |
| page | int | 否 | 分页参数-页码，默认为1 |
| pageSize | int | 否 | 分页参数-每页数量，默认为100，最大值为100 |

### 调用样例

    https://${host}/services/v4/rest/enterprise/getAbnormalInfo?id=7be62ec095fdd7463548514a15d268ba

JSON示例
```json
{
    "error_code": 0,
    "success": true,
    "message": "",
    "data": {
        "page": 1,		// 当前查询的页码
        "pageSize": 100,		// 当前查询的每页数量
        "total": 1,		// 总数量
        "totalPage": 1,		// 总页码数
        "selfInfo": {			// 查询企业的信息
            "pid": "aece7676557269ad86afe6fd6991fd10",		// 企业pid
            "entName": "青海盐湖工业股份有限公司",		// 企业名称
            "uncid": "91630000226593742J",		// 企业的统一社会信用码
            "esDate": 872438400000		// 企业注册时间
        },
        "items": [
            {
                "reasonInclusion": "未依照《企业信息公示暂行条例》第八条规定的期限公示年度报告",		// 列入经营异常原因
                "dateInclusion": "2018-07-02",		// 列入日期
                "decisionInstitution": "青海省市场监督管理局",		// 决定机构
                "dateRemoval": "2018-08-08",		// 移除日期
                "reasonRemoval": "列入经营异常名录3年内且依照《经营异常名录管理办法》第六条规定被列入经营异常名录的企业，可以在补报未报年份的年度报告并公示后，申请移出"		// 移除原因
            }
        ]
    }
}
```

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 添加必填参数 | &nbsp;id和keywords不能全为空 |
| 2002 | 修改参数 | 未查询到相关的企业 |


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)