## 失信被执行人列表（自然人） 


`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keyword | string | 失信被执行人名称或身份证号码 |    |
| historyFlag | int | 是否是历史失信被执行人-标记字段：1：返回历史失信被执行人；0：返回当前失信被执行人；其他：返回所有数据 |    |
| page | int | 分页页码，1 表示第一页（每页固定返回20条） |    |

### API路径

    /services/v2/rest/enterprise/dishonestListByPerson

### 请求方法 GET

### 调用样例


    https://${host}/services/v2/rest/enterprise/dishonestListByPerson?keyword=景德镇市鑫桥公路开发有限公司&historyFlag=0

### 返回结果

JSON示例

	{  
		 "error_code": 0,  
		 "success": true,  
		 "message": "",  
		 "data": {  
		 	 "totalCount": 1,  # 失信被执行人信息总数（不区分历史和当前）
		 	 "total": 1,       # 失信被执行人信息总数（根据当前传入的是否历史的标记 统计的数量）
		 	 "items": [  
				 {  
				 	"_id" : "59de46518b2d33767e436e43",  # 数据id
					"PID" : "7c64b0677d4464bfd2dd8d538369984d",  # 企业PID
				 	"is_history" : true,                 # 是否是历史的失信被执行人信息
				 	"ENFNAME" : "xxxx",                  #失信被执行人自然人姓名  
				 	"REFERENCENO" : "(2016)赣02执69号",   #案号  
				 	"FILINGDATE" : 1473739200000,        #立案时间  
				 }  
			 ]  
		 }  
	}


#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)