## 失信被执行人详情（企业） 


`注意：调用以下接口，参数值为中文时需要转义`



### API路径

    /services/v2/rest/enterprise/dishonestInfoByCompany

### 请求方法

GET

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| id | string | 失信被执行人唯一编码 |   |

### 调用样例

    https://${host}/services/v2/rest/enterprise/dishonestInfoByCompany?id=59de46518b2d33767e436e43

### 返回结果

JSON示例

	{  
		 "error_code": 0,  
		 "success": true,  
		 "message": "",
		 "selfInfo": {
		 	"pid":"",
			"entName":"",
			"uncid":"xxxxxx",
			"esDate":12334444
		 },// 被执行人所在企业的简单信息
		 "data":   
		 {  
			 "PID": "xxxxxx", // 所属企业PID 
			 "PERSON" : "茹高乔", #法定代表人或者负责人姓名
         	 "is_history" : true,        # 是否是历史的失信被执行人信息
			 "PUBDATE" : 1477972800000, #发布时间  
			 "ENFUNIT" : "景德镇市中级人民法院", #做出执行依据单位  
			 "ENFSTATUS" : "全部未履行", #被执行人的履行情况  
			 "ENFNO" : "(2014)景民一初字第23号(2014)景民一初字第23号", #执行依据文号  
			 "ENFNAME" : "景德镇市鑫桥公路开发有限公司", #被执行人企业名称  
			 "REFERENCENO" : "(2016)赣02执69号", #案号  
			 "ENFDUTY" : "一、解除原告中铁隧道集团三处有限公司与被告景德镇市鑫桥公路开发有限公司2004年12月10日签订的《合同协议书》及《补充条 款》；二、被告景德镇市鑫桥公路开发有限公司在本判决书生效之日起十日内向原告中铁隧道集团三处有限公司返 还履约担保金800万元。", #生效法律文书确定的义务  
			 "PROVINCE" : "江西", #省份  
			 "ENFSITUATION" : "其他有履行能力而拒不履行生效法律文书确定义务", #失信被执行人行为具体情形  
			 "FILINGDATE" : 1473739200000, #立案时间  
			 "COURT" : "江西省景德镇市中级人民法院", #执行法院  
			 "CARDNO" : "754226241"#组织机构代码  
		 }   
	}


#### 错误返回值


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)