## 法院公告 


`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keyword | string | 企业全称，企业唯一编码（pid）或统一信用代码、注册号 |   |

### API路径

    /services/v2/rest/enterprise/courtAnnoList

### 请求方法

GET

### 调用样例

    https://${host}/services/v2/rest/enterprise/courtAnnoList?keyword=2a30223ba094a02dacea03a7681ce46f

### 返回结果

JSON示例

	{  
		 "error_code": 0,  
		 "success": true,  
		 "message": "",  
		 "data": {
		 	 "selfInfo": {
			 	"pid":"",
				"entName":"",
				"uncid":"",
				"esDate":12334440000
			 }, // keyword对应的企业本身信息
			 "total": 1,  
		 	"num": 1,  
		 	"items": [  
				 {  
				 	"caseInfo":"庭审信息"， // 庭审信息
					"caseNum": "ddfddd001", // 关联案号
					"dataSourceName":"公告网站名称", // 公告网站名称
					"url": "公告网站链接", // 公告网站链接
					"court":"",// 执行法院
					"address":"", // 法院所在地
					"noticeType":"", // 案件类型
					"accuserInfo": [
						{
							"name":"起诉方企业名称",
							"id":"xxxxx", // 起诉方企业id
						}
					], // 原告信息
					"accusedInfo":[
						{
							"name":"被告方企业名称",
							"id":"xxxxx", // 被告方企业id
						}
					],// 被告信息
					"publishPlace": "公告发布地区", // 公告发布地区
					"detail":"原告被告详情", // 原告被告详情
					"courtDate": 1508601600000, // 公告内容中的时间
					 "ANNOER" : "[山西]太原市小店区人民法院", #执行法院/公告人  
					 "PUBLISHDATE" : 1508601600000, #刊登日期  
					 "PUBLISHED" : "G91", #刊登版面  
					 "ANNODATE" : 1508601600000, #公告时间  
					 "ANNOTPYE" : "起诉状副本及开庭传票", #公告类型/案件类型  
					 "LAWERNAME" : "山西中联钢贸易股份有限公司、长治县黎都洗煤有限责任公司、长治县黎源建材有限公司", #//当事人  
					 "CONTENT" : "山西中联钢贸易股份有限公司、长治县黎都洗煤有限责任公司、长治县黎源建材有限公司：本院受理了山西省煤炭资产经营有限公司诉你们公司合同纠纷一案，现依法向你公告送达起诉状副本、应诉通知书、举证通知书及开庭传票等手续。自发出本公告之日起经过60日，即视为送达。提出答辩状和举证的期限分别为公告期满后的15日和30日内。并定于举证期满后第3日上午9时(遇法定节假日顺延) 在本院第七法庭公开开庭审理，逾期将依法缺席裁判。", #正文内容/庭审信息
					 "UPLOADDATE" : NULL,
					 "URL": NULL,
					 "PDFURL": NULL
				 }
			 ]
		 }
	}


#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)