## 法院判决列表(裁判文书) 


`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 |
|---|---|---|
| keywords | string | 企业全称，历史名称，企业唯一编码（pid）或统一信用代码、注册号 |   
| page | int | 分页参数-页码，每页固定返回50条数据 |
 

### API路径

    /services/v4/rest/enterprise/getJudgementList

### 请求方法

GET

### 调用样例

    https://${host}/services/v4/rest/enterprise/getJudgementList?keyword=如皋市润平纺织染料有限公司

### 返回结果

JSON示例

	{  
		 "error_code": 0,  
		 "success": true,  
		 "message": "",  
		 "data": {  
		 	"total_count": 2,
		 	"total_page": 1,
		 	"page": 1,
		 	"list": [
				 {  
					 "title" : "133",  // 文书标题 
					 "caseNum" : "99", // 案号
					 "publishDate" : 1445486400000, // 发布日期
					 "docId" : "54ed311b-0318-455b-b0a0-0cfe410cff12", //裁判文书网文书id  
					 "court" : "renmin法院", // 法院
					 "caseType" : '民事案件', // 案件类型
					 "judgmentDate" : 1445486400000, // 裁判日期  
					 "documentType" : "判决书", // 文书类型
					 "trialProcedure" : "一审", // 审判程序  
					 "litigationRecords" : "jilu", // 诉讼记录
					 "plaintiffReason" : "提出诉讼", // 原告事实 (理由)
					 "courtView" : "成立", // 理由 (法院判决理由)
					 "verdict" : "赢了", // 判决结果
					 "parties" : [], // 当事人
					 "lawerOffice" : [], // 委托律所
					 "keyWord" : [ "hetong" ], // 关键字
					 "caseReason" : ["买卖合同纠纷"], // 案由
					 "legalBasis" : [ {
						"fgmc": "最高人民法院关于适用《中华人民共和国民事诉讼法》的解释",
						"tkx": "第五百一十九条第一款",
						"fgid": "2213409"
					} ], // 法律依据
					 "reasonsNotDisclosed" : "隐私", // 不公开理由
				 }  
			 ]  
		 }  
	}


#### 错误返回值


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)