## 经营异常（停止维护）

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keyword | string | 企业全称，历史名称，企业唯一编码（pid）或统一信用代码、注册号 |   |

### API路径

    /services/v2/rest/enterprise/indbusInfo

### 请求方法

GET

### 调用样例

    https://${host}/services/v2/rest/enterprise/indbusInfo?keyword=兴义市景瑞农产品开发有限责任公司

### 返回结果

JSON示例

	{  
		 "error\_code": 0,  
		 "success": true,  
		 "message": "",  
		 "data": {  
		 "total": 1,  
		 "num": 1,  
		 "abnormal":0,#是否经营异常 0代表经营正常、1代表经营异常  
		 "items": [  
				 {  
					 "ENTNAME": "兴义市景瑞农产品开发有限责任公司",#企业名称  
					 "UNCID": "91522301090341422K",#统一信用代码  
					 "REGNO": "522301000369446",#注册号  
					 "speCause\_CN": "通过登记的住所或者经营场所无法联系",#列入经营异常名录原因  
					 "abntime": 1451032189000,#列入日期  
					 "decOrg\_CN": "黔西南州兴义市工商局",#作出决定机关（列入）  
					 "remExcpRes\_CN": "",#移出经营异常名录原因  
					 "remDate": null,#移出日期  
					 "reDecOrg\_CN": ""#作出决定机关（移出）  
				 }  
			 ]  
		 }  
	}

#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)