## 行政处罚

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明  |
|---|---|---|
| keyword | string | 企业全称，历史名称，企业唯一编码（pid）或统一信用代码、注册号    |

### API路径

    /services/v2/rest/enterprise/punishInfo

### 请求方法

GET

### 调用样例

    https://${host}/services/v2/rest/enterprise/punishInfo?keyword=上海娜恩服装有限公司

### 返回结果

JSON示例

	{
		"error_code": 0,  
		 "success": true,  
		 "message": "",  
		 "data": {
		 	"selfInfo": {
				"pid":"xxxxx",
				"entName":"",
				"uncid":"",
				"esDate":1234500000
			},// keyword对应的企业信息
		 	"total": 1,  
		 	"num": 1,  
		 	"items": [  
			 	{  
				 "ENTNAME": "上海娜恩服装有限公司",#企业名称  
				 "UNCID": "91310000329592785A",#统一信用代码  
				 "REGNO": "310000400764430",#注册号  
				 "penDecNo": "深市监南罚字【2014】583号",#决定书文号  
				 "illegActType": "120102",#违法行为类型  
				 "penContent": "没收广告费用1918元，罚款1918元",#行政处罚内容  
				 "penAuth_CN": "深圳市市场和质量监督管理委员会南山局",#决定机关名称  
				 "penDecIssDate": 1416758400000,#处罚决定日期  
				 "publicDate": 1416758400000,#公示日期
				 "penReason":"xxx" // 处罚事由
			 	}  
		 	]  
	 }


#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)