## 被执行人（自然人） 


`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keyword | string | 被执行人姓名或身份证号 |   |
| historyFlag | int | 是否是历史被执行人-标记字段：1：返回历史被执行人；0：返回当前被执行人；其他：返回所有数据 |   |
| page | int | 分页页码，1 表示第一页（每页固定返回20条） |    |

### API路径

    /services/v2/rest/enterprise/enforcementListByPerson

### 请求方法

GET

### 调用样例

    https://${host}/services/v2/rest/enterprise/enforcementListByPerson?keyword=14262319741215341x&historyFlag=1

### 返回结果

JSON示例


	{  
		 "error\_code": 0,  
		 "success": true,  
		 "message": "",  
		 "data": {  
		 	"totalCount": 1,		# 被执行人信息总数（不区分历史和当前）
		 	"total": 1,		# 被执行人信息总数（根据当前传入的是否历史的标记 统计的数量）
		 	"items": [  
				 {  
					 "_id": "66c94c9ef0013b77d372561d",	# 数据id
					 "PID": "220e031f5ad583e6a5b3feb530120e2b",	# 企业PID
					 "is_history": false,	# 是否是历史被执行人信息
					 "REFERENCENO" : "（2017）黑0108执559号", #案号  
					 "ENFOBJECT" : "4052359", #执行标的  
					 "FILINGDATE" : 1494561600000, #立案时间  
					 "ENFNAME" : "哈飞汽车股份有限公司", #被执行人姓名/名称  
					 "COURT" : "哈尔滨市平房区人民法院", #执行法院  
					 "CARDNO" : "60716197-8"#身份证号码/组织机构代码  
				 }  
			 ]  
		 }  
	}

#### 错误返回值


## &nbsp;错误返回值
错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)