## 欠税信息

`注意：调用以下接口，参数值为中文时需要转义`


### API路径

    /services/v4/rest/enterprise/taxArrears

### 请求方法

GET

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keywords | string | 企业全称，企业唯一编码（pid）或统一信用代码、注册号 |   |
| page | int | 分页参数-页数，每页固定20条 | |


### 调用样例

    https://${host}/services/v4/rest/enterprise/taxArrears?keyword=广东南都全媒体网络科技有限公司&page=1

### 返回结果

JSON示例


	{
		"error_code": 0,
		"success": true,
		"message": "",
		"selfInfo": {
			"pid": "xxxxx",
			"entName": "xxxxx",
			"uncid": "xxxxx",
			"esDate": 12345000000
		},// 企业自身的信息
		"page": 1, # 当前页
		"perPage": 20, # 每页数量
		"totalCount": 2, # 总数
		"totalPage": 1, # 总页数
		"data": # 数据
    	[
    	    {
				"id": "61a1a6afd060bc5c7162d658", # id
				"type": "企业所得税", # 欠税类型
				"arrears": "0.00元", # 本年度欠税金额
				"arrearsHistory": "86930.72元", # 历史欠税金额
				"total": "86930.72元", # 合计欠税金额
				"bulletinTime": "", # 公示日期
				"organName": "国家税务总局福清市税务局", # 税务机关
				"uncid":"",
				"legalPerson":"" // 法人信息
        	}
		]
	}


#### 错误返回值


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)