## 开庭公告 

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keywords | string | 企业全称，企业唯一编码（pid）或统一信用代码、注册号 |   |
| page | int | 分页参数-页数，每页固定20条| |

### API路径

    /services/v4/rest/enterprise/openAnnoList

### 请求方法

GET

### 调用样例

    https://${host}/services/v4/rest/enterprise/openAnnoList?keywords=上海宽娱数码科技有限公司&page=1

### 返回结果

JSON示例


	{  
		"error_code": 0,
		"success": true,
		"message": "",
		"selfInfo": {
			"pid":"xxxxxx",
			"entName": "",
			"uncid":"",
			"esDate":12345000000
		},// keywords对应的企业简单信息
		"page": "11", # 当前页数
		"perPage": 20, # 每页数量
		"totalCount": 215, # 总数量
		"totalPage": 11, # 总页数
		"data": [  
				 {  
					 "FILINGDATE": null, //立案时间  
					 "COURT":"北京市东城区人民法院&nbsp;",//法院  
					 "TRIBUNAL":"在第18法庭",//法庭  
					 "COURTDATE":"1510588800000",//开庭日期  
					 "REFERENCENO":"(2016)京0101民初15760号",//案号  
					 "JUDGE":null,//审判长/主审人  
					 "ACCUSER":"",//原告  
					 "DEFENDANT":"",//被告  
					 "PARTY":"",//当事人  
					 "BRIEF":"侵害作品信息网络传播权纠纷",//案由
					 "detail":"",// 原告被告详情
					 "caseTypeDesc":"", // 文书类型
					 "content":"",// 公告内容
					 "publishDate":12345000000 // 公告日期的毫秒时间戳
				 }  
			 ]  
		 }  
	}

#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)