## 经营异常v4

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| id | string | 企业PID（id和keywords必须存在一个） |   |
| keywords | string | 企业全称（id和keywords必须存在一个） |   |
| page | int | 分页页码，1 表示第一页 |    |
| pageSize | int | 分页每页数量，最大支持传 100 |    |

### API路径

    /services/v4/rest/enterprise/getAbnormalInfo?id=076b23a102da01d1e04c697192113a7e

### 请求方法

GET

### 调用样例

    https://${host}/services/v4/rest/enterprise/getAbnormalInfo?id=076b23a102da01d1e04c697192113a7e

### 返回结果

JSON示例

	{  
		 "error\_code": 0,  
		 "success": true,  
		 "message": "",  
		 "data": {  
		 	"total": 1,  
		 	"items": [  
				 {  
                     "_id": "5d848c82fcd70b259fc64b66",
                     "dateRemoval": "",                                           //移除日期
                     "dateInclusion": "2019-07-01",                               //列入日期
                     "reasonRemoval": "",                                         //移除原因
                     "reasonInclusion": "2018年度未按照…………",                      //列入经营异常原因
                     "decisionInstitution": "淳安县市场监督管理局"                  //决定机构
				 }  
			 ]  
		 }  
	}

#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)