## 税务非正常户

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| id | string | 企业PID（id和keywords必须存在一个） |   |
| keywords | string | 企业全称（id和keywords必须存在一个） |   |
| page | int | 分页页码，1 表示第一页 |    |

### API路径

    /services/v4/rest/enterprise/getEntTaxAbnormal?id=076b23a102da01d1e04c697192113a7e

### 请求方法

GET

### 调用样例

    https://${host}/services/v4/rest/enterprise/getEntTaxAbnormal?id=076b23a102da01d1e04c697192113a7e

### 返回结果

JSON示例

	{  
		 "error\_code": 0,  
		 "success": true,  
		 "message": "",  
		 "data": {  
		 	"page": 1,
        	"pageSize": 20,
        	"total": 0,
        	"totalPage": 0,
			"selfInfo": {
            	"pid": "116f07b8da50e6157b98ae104de8cdfc",
            	"entName": "苏宁易购集团股份有限公司",
            	"uncid": "91320000608950987L"
        	},
		 	"items": [  
				 {  
                     "taxId": "税务ID", // 税务ID
                     "organName": "税务机关", // 税务机关
                     "webSourceName": ""// 网站来源
				 }  
			 ]  
		 }  
	}

#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)