## 税收违法

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| id | string | 企业PID（id和keywords必须存在一个） |   |
| keywords | string | 企业全称（id和keywords必须存在一个） |   |
| page | int | 分页页码，1 表示第一页 |    |

### API路径

    /services/v4/rest/enterprise/getEntTaxIllegal?id=076b23a102da01d1e04c697192113a7e

### 请求方法

GET

### 调用样例

    https://${host}/services/v4/rest/enterprise/getEntTaxIllegal?id=076b23a102da01d1e04c697192113a7e

### 返回结果

JSON示例

	{  
		 "error_code": 0, 
		 "success": true,  
		 "message": "",  
		 "data": {  
		 	"page": 1,
        	"pageSize": 20,
        	"total": 1,
       		"totalPage": 1,
        	"selfInfo": {
            	"pid": "fba73b21ac6e8c29b613a32f226276dc",
            	"entName": "楚雄市大地基乡腊脚村委会李正芹商店",
            	"uncid": ""
        	},
		 	"items": [
				 {
                     "mainIllegalCase": "xxxx", // 违法内容
                     "illegalCaseKind": "we",    // 违法类型
                     "punishment": "违法",        // 惩罚内容
					 "taxId": "xxx", // 纳税人识别号
					 "lawerInfo":"xxxxx", // 法人信息
					 "registerAddress": "registerAddress" // 注册地址
				 }
			 ]
		 }
	}

#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)