## 股权出质详情

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| id | string | 企业PID（id和keywords必须存在一个） |   |
| keywords | string | 企业全称（id和keywords必须存在一个） |   |
| page | int | 分页页码，1 表示第一页 |    |

### API路径

    /services/v4/rest/enterprise/getEquityPledged?id=076b23a102da01d1e04c697192113a7e

### 请求方法

GET

### 调用样例

    https://${host}/services/v4/rest/enterprise/getEquityPledged?id=076b23a102da01d1e04c697192113a7e

### 返回结果

JSON示例

	{  
		 "error_code": 0, 
		 "success": true,  
		 "message": "",  
		 "data": {  
		 	"page": 1,
        	"pageSize": 20,
        	"total": 1,
        	"totalPage": 1,
        	"selfInfo": {
            	"pid": "fba73b21ac6e8c29b613a32f226276dc",
            	"entName": "楚雄市大地基乡腊脚村委会李正芹商店",
            	"uncid": ""
        	},
		 	"items": [
				 {
                     "registNo": "5d848c82fcd70b259fc64b66",     // 登记编号
                     "pledgor": "抵押人",                                     // 出质人
                     "pledgee": "登记机关",                                // 质权人
                     "pledgorAmount": "AA21122",                       // 出质股权金额
					 "registDate": "2024-09-01",                           // 注册日期
					 "publicDate": "2024-08-08"                            // 公示日期
				 }
			 ]
		 }
	}

#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)