## 动产抵押详情

`注意：调用以下接口，参数值为中文时需要转义`

### 请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| id | string | 企业PID（id和keywords必须存在一个） |   |
| keywords | string | 企业全称（id和keywords必须存在一个） |   |
| page | int | 分页页码，1 表示第一页 |    |

### API路径

    /services/v4/rest/enterprise/getChattelMortgageInfo?id=076b23a102da01d1e04c697192113a7e

### 请求方法

GET

### 调用样例

    https://${host}/services/v4/rest/enterprise/getChattelMortgageInfo?id=076b23a102da01d1e04c697192113a7e

### 返回结果

JSON示例

	{  
		 "error_code": 0, 
		 "success": true,  
		 "message": "",  
		 "data": {  
		 	"page": 1,
        	"pageSize": 20,
        	"total": 0,
        	"totalPage": 0,
        	"selfInfo": {
				"pid":"",
				"entName":"",
				"uncid":"",//统一社会信用码
				"esDate":12333330000 // 企业成立时间
			},// 当前企业自己的信息
		 	"items": [  
				 {  
                     "mortgagorPid": "5d848c82fcd70b259fc64b66", // 抵押人pid
                     "mortgagor": "抵押人",                                     // 抵押人
                     "organName": "登记机关",                                // 登记机关
                     "registedNo": "AA21122",                                  // 抵押登记编号
                     "sourceWebName": "来源站",                             // 来源站
                     "registedDate": 12333333333,                // 毫秒时间戳
					 "releaseDate": 12000000000,                  // 毫秒时间戳,履行债务开始日期
					 "endDate": 66000000000,                       // 毫秒时间戳,履行债务结束日期
					 "guaranteeDesc": "备注信息",					// 被担保主债权备注
					 "kind": "种类",                                          // 种类
					 "regCapCurType": "rmb",                          // 被担保主债权信息币种
					 "scope": "",												// 范围
					 "pledgeInfo": [
					 		{
								"pledge":"", // 抵押权人名称
								"pledgePid":"" // 抵押权人pid
							}
					 ],					// 抵押权人信息
					 collateralInfo: [
					 		{	
								"ownerPid": "12wwq", // 抵押物归属企业pid
								"owner": "上海AAA",  // 抵押物归属企业名称
								"objectName": "手机", // 抵押物名称
								"baseInfo": "抵押物", // 这是抵押物基本信息
								"desc": "抵押物信息备注" // 抵押物备注信息
							}
					 ]					// 抵押物信息
				 }  
			 ]  
		 }  
	}

#### 错误返回值

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)