## 企业名称模糊搜索


### API路径

    services/v4/rest/enterprise/searchEntByName

### 请求方法

GET

###   请求参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| keyword | string | 关键词(模糊匹配)。string类型，一次只支持一个关键词 | &nbsp; |

### 接口入参要求：
1. 仅支持汉字字符；
2. 关键词字符数>=2个汉字字符；
3. 非法关键词：公司、有限、集团、科技、信息、技术等，及这些词两两排列组合的词



### 最多返回20条数据

### 调用样例

    https://${host}/services/v4/rest/enterprise/searchEntByName?keyword=微问家
	
### 返回结果

JSON示例

    {
    "error_code": 0,
    "success": true,
    "message": "",
    "data":
         [
            {
				"ent_id" : "pdffdf", // 公司id
                "entname": "公司名称",   // 公司名称名称
                "history_name": "历史名称",      // 公司曾用名
				"uncid" : "12345", // 统一社会信用代码
                "search_type": 1 // 1=公司现名称匹配，2=公司曾用名匹配
				"regNo" : "xx", // 注册号
				"legalPerson" : "明", // 法人
				"esDate" : 1715765135000, // 成立日期 0=无时间
            },
        ],
}

使用场景图
![](https://apidoc-wwj.oss-cn-qingdao.aliyuncs.com/skb-open-dev/m_30411a5f22f7013320a90c470fef91dc_r.png)

错误返回值

| code | msg | 说明 |
|---|---|---|
| &nbsp;406 | &nbsp;PIN已被使用 / 请求参数有误(keywords参数不能为空，类型需为string) | &nbsp; |
| 407 | PIN时间戳和服务器时间误差超过10分钟 |    |
| 408 | Access Secrect 验证失败 |    |
| 409 | 缺少 X-AK-KEY 或者 X-AK-PIN 或 X-AK-TS 请求头 |    |
| 410 | Access Key 不存在 |    |
| 411 | 访问 IP 不在白名单之列 |    |
| 412 | Access Key 已被禁用 |    |
| 500 | 服务器错误 |    |
| 1000 | 账户已过期 |    |
| 1001 | 请求额度不足 |    |
| 1002 | 账户无调用权限 |    |
| 1003 | 请求并发超限 | |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)