## 号码查询企业接口（手机、固话）

### API路径

    /services/v4/rest/enterprise/batch/getEntInfoByNumber

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| number | string | 是 | 手机或固话 |   |

###   调用样例

    https://${host}/services/v4/rest/enterprise/batch/getEntInfoByNumber?number=12345678900

JSON示例

    {
        "error_code": 0,
        "success":true
        "message": "",
        "data": [
    				{
						"pid": "99bade790d1affe3950fcea6e72c042f", 
						"entName": "福州中XXX发展有限公司", // 企业名称
						"contactAddress": "福州市仓山区盖山镇浦下村", // 联系地址
						"entStatus": "吊销，未注销", // 企业经营状态
						"location": "福建-福州市-仓山区", // 省市区
						"entType": "有限责任公司（自然人投资或控股）", // 企业类型
						"regcap": "300万元人民币", // 注册资本
						"opFrom": "2016-02-03T00:00:00.000Z", // 成立年限
						"industryphy": "居民服务、修理和其他服务业" // 企业类型
					}
    			]
    
    		
      }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 406 | 无效的参数 | 未传或为空或格式不正确 |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)