## 展会（会刊）搜索


### API路径

    services/v4/rest/enterprise/exhibitionJournalSearch

### 请求方法

POST

###   请求参数
body 参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| condition | object | 搜索条件 | &nbsp; |
| page | int | 页数（默认为1） | &nbsp; |
| size | int | 每页数量（默认为10，最大为100） | &nbsp; |

### 搜索条件（condition）
| 参数 | 类型 | 说明 | 示例 | 是否必须 |
|---|---|---|---| --- |
| keyword | string | 关键词 | 建筑 | 否 |
| exhibitorStatus | array | 展会状态 | [ "2" ] | 否 |
| exhibitorCount | string | 展商数量(1到100家) | "1,100" | 否 |
| exhibitorDate | string | 开展时间（开始时间:结束时间） | "1705161599000:1713023999000" | 否 |
| holdProvince | array | 开展地区（省code获取其他国家代码） | [ "11" ] | 否 |
| holdCity | array | 开展地区（市code） | [ "4451" ] | 否 |
| holdCountry | array | 开展地区（国家） | [ "FOREIGN" ] | 否 |

开展地区(国家)特别说明：FOREIGN=海外

[国家配置详见](../../skb-open-dev-1e2hc27loo8qp/skb-open-dev-1fk1si7valill.md)

| 展会状态 | code |
| --- | --- |
| 未开展 | 1 |
| 已开展 | 2 |
| 开展中 | 3 |

### 调用样例

    http://${host}/services/v4/rest/enterprise/exhibitionJournalSearch
	
### 返回结果

| 字段 | 类型| 说明 |
| --- | --- | --- |
| journalId | string | 展会id |
| journalName | string | 展会名称 |
| journalLogo | string | 展会logo |
| journalStartDate | long | 展会开始时间(毫秒) |
| journalEndDate | long | 展会结束时间(毫秒) |
| journalStatus | int | 展会状态码 |
| journalStatusDesc | string | 展会状态码描述 |
| journalHallName | string | 展厅 |
| journalAddress | string | 展会地址 |
| journalDesc | string | 展会介绍 |

JSON示例
```json
    {
    "error_code": 0,
    "message": "",
    "data": [
        {
            "journalId": "72113746894ff14138fd303e23e7bd9e",	// 展会id
            "journalName": "2024年第二十九届中国北方建筑装饰博览会",	// 展会名称
            "journalLogo": "https://skb-crawler-public-resource.oss-cn-qingdao.aliyuncs.com/skb_new_pic//11e7c25f505e9b930d16b56aba74eeaf.jpg", // 展会logo
            "journalStartDate": 1711555200000,	// 展会开始时间(毫秒)
            "journalEndDate": 1711728000000,	// 展会结束时间(毫秒)
            "journalStatus": 2,	// 展会状态（状态描述查看journalStatusDesc字段）
            "journalHallName": "沈阳新世界博览馆",	// 展厅
            "journalAddress": "辽宁-沈阳",	// 展会地址
            "journalDesc": "",	// 展会介绍
            "journalStatusDesc": "已开展"	// 展会状态描述
        }
    ],
    "total": 33,
    "page": 1,
    "size": 1
}
```

错误返回值

| code | msg | 说明 |
|---|---|---|
| &nbsp;406 | &nbsp;PIN已被使用 / 请求参数有误(keywords参数不能为空，类型需为string) | &nbsp; |
| 407 | PIN时间戳和服务器时间误差超过10分钟 |    |
| 408 | Access Secrect 验证失败 |    |
| 409 | 缺少 X-AK-KEY 或者 X-AK-PIN 或 X-AK-TS 请求头 |    |
| 410 | Access Key 不存在 |    |
| 411 | 访问 IP 不在白名单之列 |    |
| 412 | Access Key 已被禁用 |    |
| 500 | 服务器错误 |    |
| 1000 | 账户已过期 |    |
| 1001 | 请求额度不足 |    |
| 1002 | 账户无调用权限 |    |
| 1003 | 请求并发超限 | |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)