## 招投标项目搜索


### API路径

    services/v4/rest/enterprise/tenderProjectSearch

### 请求方法

POST

###   请求参数
body 参数

| 参数 | 类型 | 说明 | 示例 |
|---|---|---|---|
| condition | object | 搜索条件 | &nbsp; |
| page | int | 页数（默认为1） | &nbsp; |
| size | int | 每页数量（默认为10，最大为100） | &nbsp; |

### 搜索条件（condition）
| 参数 | 类型 | 说明 | 示例 | 是否必须 |
|---|---|---|---| --- |
| keyword | string | 关键词 | 建筑 | 否 |
| matchTitle | int | 匹配项目标题(0=否，1=是) | 1 | 否 |
| matchSubjectMatter | int | 匹配标的物(0=否，1=是) | 1 | 否 |
| tenderPublishTime | string | 发布时间（开始时间:结束时间） | "1705161599000:1713023999000" | 否 |
| tenderBusinessType | array | 招采类型 | [ "1" ] | 否 |
| tenderProjectTypeFirst | string | 项目一级类型 | "A" | 否 |
| tenderProjectTypeSecond | array | 项目二级类型 | [ "B2" ] | 否 |
| province | array | 省code | [ "11" ] | 否 |


匹配项目标题或标的物必须存在至少一个维度

配置项详见 [配置参数](../../skb-open-dev-1e2hc27loo8qp/skb-open-dev-1fk1plra29hoh.md)

### 调用样例

    http://${host}/services/v4/rest/enterprise/tenderProjectSearch
	
### 返回结果

| 字段 | 类型| 说明 |
| --- | --- | --- |
| tenderId | string | 招投标id |
| title | string | 招投标标题 |
| tenderPublicDate | long | 发布时间 |
| subjectMatter | string | 标的物 |
| tenderType | string | 项目类型 |
| noticeTypeSub | string | 项目类型提示 |
| area | string | 地区 |
| budgetPrice | string | 预算金额 |
| unit | string | 货币单位 |

JSON示例

    {
    "error_code": 0,
    "message": "",
    "data": [
        {
            'tenderId'          : '2222', // 招投标id
			'title'             : '建筑工程建设', // 招投标标题
			'tenderPublicDate'  : 1715765135000, // 发布时间
			'subjectMatter'     : '工程', // 标的物
			'tenderType'        : '招标结果', // 项目类型
			'noticeTypeSub'     : '12', // 提示
			'area'              : '上海', // 所属地区
			'budgetPrice'       : '10',    // 预算金额
			'unit'              : '元',  // 货币单位
        }
    ],
    "total": 33,
    "page": 1,
    "size": 1
}


错误返回值

| code | msg | 说明 |
|---|---|---|
| &nbsp;406 | &nbsp;PIN已被使用 / 请求参数有误(keywords参数不能为空，类型需为string) | &nbsp; |
| 407 | PIN时间戳和服务器时间误差超过10分钟 |    |
| 408 | Access Secrect 验证失败 |    |
| 409 | 缺少 X-AK-KEY 或者 X-AK-PIN 或 X-AK-TS 请求头 |    |
| 410 | Access Key 不存在 |    |
| 411 | 访问 IP 不在白名单之列 |    |
| 412 | Access Key 已被禁用 |    |
| 500 | 服务器错误 |    |
| 1000 | 账户已过期 |    |
| 1001 | 请求额度不足 |    |
| 1002 | 账户无调用权限 |    |
| 1003 | 请求并发超限 | |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)