## 企业详情机构微博 

### API路径

/services/v4/rest/enterprise/getMicroblog

### 请求方法:

GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称，统一信用代码，工商注册码 |   |
| page | int | 否（默认值为1），每页固定返回50条数量 | 分页参数-页码 |  |

###   调用样例

    https://${host}/services/v4/rest/enterprise/getMicroblog?id=fa914dfd9a0715efb4d85ce0e6f43211&page=1

JSON示例

    {
        "error_code": 0,
        "success": true,
        "message": "",
		"selfInfo": {
			"pid":"xxx",
			"entName": "",
			"uncid":"",
			"esDate":1233333 // 企业成立时间
		},// keyword对应的自身企业信息
        "page": "1",
        "perPage": 50,
        "totalCount": 19,
        "totalPage": 1,
        "data": [
            {
                "PID": "fa914dfd9a0715efb4d85ce0e6f43211",
                "COMPANYNAME": "", //企业名称
                "blogNickName": "陈仁健Dom",//微博昵称
                "blogType": "个人",//微博类型
                "uid": "1833096114",//微博用户id
                "region": "广东 深圳",//用户地区
                "position": "腾讯科技(深圳)有限公司 工具研发中心负责人",//用户职业
				"sex":"", // 性别
				"attentionNum": "",// 关注数
				"fansNum":"", // 粉丝数
				"blogNum":"", // 发送微博数
				"blogInfo":"", // 简介
				"detailPageUrl": "" // 链接
            },
            {
                "PID": "fa914dfd9a0715efb4d85ce0e6f43211",
                "COMPANYNAME": "腾讯科技（深圳）有限公司",
                "blogNickName": "腾讯守护者计划",
                "blogType": "企业",
                "uid": "5893886126",
                "region": "广东 广州",
                "position": ""
            }
        ]
    }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能同时为空 |
| 2002 | 修改参数 | 未查询到相关企业 |


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)