## （待开发）企业电商店铺信息

### API路径

/services/v4/rest/enterprise/getEcomShopInfo

### 请求方法:

GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称，统一信用代码，工商注册码 |    |
| page | int | 否（默认为1），每页固定返回20条数据 | 分页参数-页码 |

###   调用样例

    https://${host}/services/v4/rest/enterprise/getEcomShopInfo?id=116f07b8da50e6157b98ae104de8cdfc&page=45

JSON示例

     {
        "error_code": 0,
        "success": true,
        "message": "",
        "data": {
         		"page": 1,
        		"pageSize": 20,
        		"total": 11,
        		"totalPage": 1,
        		"selfInfo": {
            		"pid": "xxx",
            		"entName": "xxx",
            		"uncid": "统一社会信用码",
            		"esDate": 832118400000 // 企业成立时间的毫秒时间戳
        		}，// 企业本身信息
			  "items": [
			 	        {
                			"shopName": "百魅优品",         //电商店铺名字
							"operatingStatus": "营业", // 店铺营业状态
							"cumSales": "20000", // 累计销量
							"cumReviewCount": "20000", // 累计评价数
							"country":"中国", // 店铺地区-国家
							"province":"浙江省", // 店铺地区-省份
							"city": "绍兴", // 店铺地区-城市
							"goldSupplierDuration": "5", // 金牌店铺年限
							"productClassifyCount":"1000", // 店铺产品分类总数
							"shopProductNum":1000, // 主营产品总数
							"shopRating": "3.2", // 店铺评分
							"shopGoodsCount": "20000", // 主营商品总数
							"shopProductName":["鞋子","衣服"], // 店铺产品名称
				"			platformSourceInfo": [
								{
									"platform_source":"苏宁易购",
									"url":"店铺链接"
								}
							]//一个网店会有多个平台来源，也会有多个url
            		}
				]
		}
    }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能同时为空 |
| 2002 | 修改参数 | 未查询到相关企业 |


错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)