## 企业品牌数据概览

### API路径

    /services/v4/rest/enterprise/getEntBrandInfo

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| id | string | 否（id和keywords必须存在一个） | 企业PID |   |
| keywords | string | 否（id和keywords必须存在一个） | 企业PID或者公司名称 |   |
一信用代码，工商注册码 |   |
### 调用样例

    https://${host}/services/v4/rest/enterprise/getEntBrandInfo?id=7be62ec095fdd7463548514a15d268ba

JSON示例

    {
        "error_code": 0,
        "success":true
        "message": "",
        "data": {
    			"selfInfo": {
            		"pid": "fba73b21ac6e8c29b613a32f226276dc", // 企业id
            		"entName": "楚雄市大地基乡腊脚村委会李正芹商店", // 企业名称
            		"uncid": "", // 统一社会信用码
            		"esDate": 1328659200000 // 企业成立时间毫秒时间戳
        		}, // 当前企业自己本身信息
    			"brandIndustry" :["A","B"], // 品牌所属行业
    			"brandProduct": ["测量尺","测量绳"], // 主营产品
    			"brandFrom":"山东、江苏", // 品牌所属地
    			"brandYear": "2001年-" // 品牌创立年份
    	}
     }

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|
| 2001 | 缺少必填参数 | &nbsp;id和keywords不能全为空 |
| 2002 | 修改参数 | 未找到相关的企业 |

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)