## 移动应用的相关推荐应用 

### API路径

    /services/v4/rest/enterprise/getRelatedApps

### 请求方法
GET

### 请求参数

| 字段 | 类型 | 是否必选 | 说明 | 示例 |
|---|---|---|---|---|
| pid | string | 是 | 应用所属企业pid，pid+appPackageName 是一个应用的唯一标识，企业移动应用接口会返回 |   |
| appName | string | 是 | 应用名称，pid+appName 是一个应用的唯一标识，企业移动应用接口会返回 |   |
| page | int | 否 | 分页参数-页码，默认为1（每页数量固定为 20） |

###   调用样例

    https://${host}/services/v4/rest/enterprise/getRelatedApps?pid=0c6a3fe4f6c93826721bfa0fcea581ed&appName=百度地图

JSON示例
```json
{
    "error_code": 0,
    "success": true,
    "message": "",
    "data": {
        "page": 1,		// 当前查询的页码
        "pageSize": 100,		// 当前查询的每页数量
        "total": 1,		// 总数量
        "totalPage": 1,		// 总页码数
        "items": [
{
                "appName": "百度地图",		// 应用名
                "appPackageName": "com.baidu.BaiduMap",		// 应用packageName
                "pid": "0c6a3fe4f6c93826721bfa0fcea581ed",		// 所属企业pid
                "companyName": "百度在线网络技术（北京）有限公司",		// 所属企业名称
                "appFileSize": "169.21MB",		// 应用文件大小
                "appLogoUrl": "https://skb-public.weiwenjia.com/app-logo-gemdata-new/171dfcbf65db7095b36e174ffdb0a063.png",		// logo图片url
                "appDownCount": "1677.4万",		// 下载次数 
                "appScore": 3.9,		// 应用评分
                "sourceName": "360手机助手,百度手机助手,应用宝,豌豆荚",		// 来源站点
                "appCategory": "旅游",		// 应用分类
                "appDescribe": "百度地图——科技让出行更简单！【智能导航】-路况实时更新...",		// 应用描述
                "appOS": "Android",		// 操作系统
                "appUpdateDate": 1736503800000,		// 应用最近更新时间
                "appReleaseDate": 1541462400000		// 应用发布时间
            }
        ]
    }
}
```

### 返回错误代码以及处理方式

| code | 处理方式 | 说明 |
|---|---|---|

错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/skb-open-dev/7967638-7967721.md)