## 	搜索条件配置

### API文档
	/skb/internal-ent-detail/api/v2/searchConditionConfig

### 请求参数JSON
无

### 请求方法
	POST
### 调用样例
	https://${host}/skb/internal-ent-detail/api/v2/searchConditionConfig
	

### 返回数据说明
该接口返回所有的搜索条件配置，data是map结构，key是条件名，value是条件对应的具体配置  

搜索条件配置具体字段说明，见：[搜索条件配置和传参说明](../../skb-open-dev-1fng3mne9b4l4/skb-open-dev-1gec190ipspet.md)


### 返回数据JSON示例
```
{
    "code": 0,
    "message": "",
    "data": {
        "entName": {
            "name": "entName",
            "label": "企业名称",
            "cr": {
                "hidden": false,
                "options": [
                    {
                        "value": "IN",
                        "label": "包含任一"
                    },
                    {
                        "value": "NOT_IN",
                        "label": "都不包含"
                    }
                ],
                "defaultValue": "IN"
            },
            "cv": {
                "type": "itemInput",
                "options": [],
                "defaultValue": "",
                "placeholder": "关键词不超过100个，单个词不超过15个字",
                "constraint": {
                    "countMax": 100,
                    "lengthMax": 15
                }
            },
            "esFieldType": "Text",
            "isNew": false,
            "esFieldName": "entName",
            "associateWord": "entName"
        },
        "entStatus": {
            "name": "entStatus",
            "label": "营业状态",
            "cr": {
                "hidden": false,
                "defaultValue": "IN",
                "options": [
                    {
                        "value": "IN",
                        "label": "包含任一"
                    },
                    {
                        "value": "NOT_IN",
                        "label": "都不包含"
                    }
                ]
            },
            "cv": {
                "type": "multiSelect",
                "options": [
                    {
                        "value": "1",
                        "label": "在业/存续"
                    },
                    {
                        "value": "4",
                        "label": "迁入/迁出"
                    },
                    {
                        "value": "2",
                        "label": "吊销"
                    },
                    {
                        "value": "3",
                        "label": "注销"
                    },
                    {
                        "value": "13",
                        "label": "清算"
                    },
                    {
                        "value": "8",
                        "label": "停业"
                    },
                    {
                        "value": "9",
                        "label": "未知"
                    }
                ],
                "placeholder": "请选择",
                "defaultValue": "",
                "constraint": {
                    "countMax": null,
                    "lengthMax": null
                }
            },
            "esFieldType": "Keyword",
            "isNew": false,
            "esFieldName": "entStatus"
        }
    }
}
```
### 错误返回值
错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/enterprise_search/enterprise_search-1e45aadkiumgu)