## 	静态配置
### 说明
静态配置接口会返回各个维度/搜索条件筛选项的展示值 和 code 码的关系，包含单层级的和多层级的关系  

对于部分多选下拉、多层级下拉、特殊的搜索条件，其搜索条件配置中cv.options 为空数组，相关的选项配置就需要从静态接口获取，然后组装成下拉选项，如所属行业、通讯地址地区...等  

**静态配置接口数据很少会进行更新，强烈建议对接方需自己缓存好静态配置**

### API文档
	/skb/internal-ent-detail/api/v2/staticConfig

### 请求参数JSON
无

### 请求方法
	POST
### 调用样例
	https://${host}/skb/internal-ent-detail/api/v2/staticConfig


### 返回数据JSON示例
	{
		"error_code":0,
		"success": true,
		"message":"",
		"data": {
			area: {…},
			caseReason: [{name: "1", order: 100, value: "非刑事赔偿",…}, {name: "2", order: 200, value: "民事",…},…]
			certType: [{name: "1", order: 100, value: "科技企业证书",…}, {name: "2", order: 200, value: "建筑行业证书",…},…]
			companySiteSourceMap: [{name: "1", value: "年报", code: "J",…}, {name: "2", value: "B2B", code: "A",…},…]
			companySource: [{name: "1", value: "年报", code: "J",…}, {name: "2", value: "B2B", code: "A",…},…]
			contactSiteSourceMap: [{name: "1", value: "年报", code: "J",…},…]
			contactSource: [{name: "1", value: "年报", code: "J",…},…]
			cusIndusCategory: [{name: "10000", value: "零售批发", order: 1000,…}, {name: "20000", value: "贸易代理", order: 2000,…},…]
			fixedSource: [{name: "1", value: "年报", code: "J",…},…]
			industry: [{name: "A", value: "农、林、牧、渔业", code: "1",…}, {name: "B", value: "采矿业", code: "2",…},…]
			latest3MonthCertL2Type: [{name: "1", order: 100, value: "科技企业证书",…}, {name: "2", order: 200, value: "建筑行业证书",…},…]
			latest6MonthCertL2Type: [{name: "1", order: 100, value: "科技企业证书",…}, {name: "2", order: 200, value: "建筑行业证书",…},…]
			mobileSource: [{name: "1", value: "年报", code: "J",…},…]
			registArea: {,…}
			serviceNode: [{name: "1", value: "电信",…}, {name: "2", value: "移动", sub: [{name: "2001", value: "移动"}]},…]
			templateSuppilerOption: [{value: "", label: "全部"}, {value: "凡科", label: "凡科"}, {value: "云梦网络", label: "云梦网络"},…]
			tradeMarkInventoryCategory: [{name: "01", order: 10, value: "化工原料", sub: [{name: "0101", order: 1010, value: "工业气体，单质"},…]},…]
		}
	}



### 错误返回值
错误代码参考 [错误码定义](http://apidoc.weiwenjia.com/docs/enterprise_search/enterprise_search-1e45aadkiumgu)