## 搜索接口

### API路径
	/skb/internal-search/api/v2/advanced_search
### 请求方法
	POST

### 调用样例
	https://${host}/skb/internal-search/api/v2/advanced_search

### 请求Boby参数 JSON
|字段   |类型   |说明   |示例   |
| ------------ | ------------ | ------------ | ------------ |
|advancedCondition   |object   |非必填，条件，具体接口见下方示例   |   |
|pagesize   |int   |必填，页码大小（最大值：50）   |   |
|page   |int   |必填，页码，（最大值：100）   |   |
|scope   |string   |搜索范围(当前只针对高级搜索)   |固定： advanced   |

### Body条件示例

```json
{
    "scope": "advanced",
    "page": 1,
    "pagesize": 10,
    "advancedCondition": {
        "cn": "composite",
        "cr": "MUST",
        "cv": [
            {
                "cn": "opScope",
                "cr": "IN",
                "cv": [
                    "日用百货"
                ]
            },
            {
                "cn": "composite",
                "cr": "SHOULD",
                "cv": [
                    {
                        "cn": "entName",
                        "cr": "IN",
                        "cv": [
                            "上海"
                        ]
                    },
                    {
                        "cn": "esDate",
                        "cr": "IN",
                        "cv": [
                            "1659628800000-1660319999999"
                        ]
                    }
                ]
            }
        ]
    }
}
```
### 详细的搜索条件参数构造，见：
[搜索条件配置和传参说明](../skb-open-dev-1fng3mne9b4l4/skb-open-dev-1gec190ipspet.md)


### 返回数据JSON示例

| 字段 | 类型 | 说明 |
| ----- | ----- | ---- |
| esdate | long | 成立日期(毫秒) |
| lon | double | 经度 |
| industry | string | 一级行业 |
| annualSaleRaw | string | 年营业额 |
| socialCreditCode | string | 信用码/注册号（信用码优先） |
| secindustryshort | string | 二级行业code |
| thirdIndustry | string | 三级行业 |
| province | string | 省code |
| hasfixed | string | 是否有固话(0=否，1=是) |
| secondIndustry | string | 二级行业 |
| legalperson | string | 法人 |
| id | string | 企业唯一id（pid） |
| industryshort | string | 一级行业code |
| value | string | 企业名称 |
| hasqq | string | 是否有qq(0=否，1=是) |
| lat | double | 纬度 |
| companyname_ws | string | 企业名称 |
| fourthIndustry | string | 四级行业 |
| contactaddress | string | 通讯地址 |
| address | string | 注册地址 |
| hascontact | string | 是否有联系方式(0=否，1=是) |
| opscope | string | 经营范围 |
| regcapunify | string | 注册资本 |
| hasmobile | string | 是否有移动号码(0=否，1=是) |
| regcapcur | string | 注册资金单位 |
| hasATaxCredit | bool | 是否为A级纳税人(false=否，1=是) |
| hasemail | string | 是否有邮箱(0=否，1=是) |
| hasRelatedContact | string | 有无关联号码(0=否，1=是) |
| district | string | 市code |
| secdistrict | string | 区县code |
| entstatus | string | 企业状态描述 |
| entstatuscode | string | 企业状态code |

```json
{
    "code": 0,
    "message": "",
    "traceId": "",
    "data": {
        "total": 1000000,
        "items": [
            {
                "esdate": 1260201600000,	// 成立日期(毫秒)
                "lon": 118.589995,	// 经度
                "industry": "制造业",	// 行业
                "annualSaleRaw": null,	// 年营业额
                "socialCreditCode": "913411226973961395",// 信用码/注册号（信用码优先）
                "secindustryshort": "35",	// 二级行业code
                "thirdIndustry": "环保、邮政、社会公共服务及其他专用设备制造",	// 三级行业
                "province": 34,	// 省code
                "hasfixed": "1",	// 是否有固话(0=否，1=是)
                "secondIndustry": "专用设备制造业",	// 二级行业
                "legalperson": "李从广",	// 法人
                "id": "0b890da8d525a283397fecc6812ee554",	// 企业唯一id（pid）
                "industryshort": 3,
                "value": "安徽鲁兴环保工程科技有限公司",	// 企业名称
                "hasqq": "1",	// 是否有qq(0=否，1=是)
                "lat": 32.223076,	// 纬度
                "companyname_ws": "安徽鲁兴环保工程科技有限公司", // 企业名称
                "fourthIndustry": "环境保护专用设备制造",	// 四级行业
                "contactaddress": "安徽省滁州市来安县汉河经济开发区江浦路2号", // 通讯地址
                "address": "安徽省滁州市来安县汊河经济开发区纬三路北侧", // 注册地址
                "hascontact": "1",	// 是否有联系方式(0=否，1=是)
                "opscope": "机械设备、容器（压力容器除外）、除尘设备、冶金化工设备、脱硫设备的研发、生产、销售；自营和代理本企业生产的商品及技术的进出口业务（依法须经批准的项目，经相关部门批准后方可开展经营活动***",	// 经营范围
                "regcapunify": "800",	// 注册资本
                "hasmobile": "1",	// 是否有移动号码(0=否，1=是)
                "regcapcur": "万人民币", // 注册资金单位
                "hasATaxCredit": false, // 是否为A级纳税人(false=否，1=是)
                "hasemail": "1", // 是否有邮箱(0=否，1=是)
                "hasRelatedContact": "1",  // 有无关联号码(0=否，1=是)
                "district": 3411,	// 市code
                "secdistrict": 341122, // 区县code
                "entstatus": "存续（在营、开业、在册）",	// 企业状态描述
                "entstatuscode": 1,	// 企业状态码
            }
        ]
    }
}
```